

void IMp7JrsControlledTermUseType::SetTermReferenceURN(XMLCh* urn, XMLCh* term, XMLCh* name, Mp7JrsClientID client) 
{
	Mp7JrstermReferencePtr href = CreatetermReferenceType;
	Sethref(href,client);

	Mp7JrstermReferenceType_LocalPtr hrefPattern = CreatetermReferenceType_LocalType;
	href->SettermReferenceType_LocalType(hrefPattern,client);
	
	XMLCh* buf = new XMLCh[XMLString::stringLen(urn)+XMLString::stringLen(term)+3];
	XMLString::copyString(buf,urn);
	XMLString::catString(buf,L":");
	XMLString::catString(buf,term);

	hrefPattern->SetContent(XMLString::replicate(buf),client);

	delete [] buf;

	XMLString::release(&urn);
	XMLString::release(&term);

	if (name) SetTermName(name,client);
}
	
void IMp7JrsControlledTermUseType::SetTermReferenceAnyURI(XMLCh* uri, XMLCh* term, XMLCh* name, Mp7JrsClientID client) 
{
	Mp7JrstermReferencePtr href = CreatetermReferenceType;
	Sethref(href,client);

	Mp7JrstermReferenceType_Local0Ptr ref = CreatetermReferenceType_LocalType0; 
	href->SettermReferenceType_LocalType0(ref,client);
	
	XMLCh* buf = new XMLCh[XMLString::stringLen(uri)+XMLString::stringLen(term)+3];
	XMLString::copyString(buf,uri);
	XMLString::catString(buf,L"/");
	XMLString::catString(buf,term);

	ref->SetContent(XMLString::replicate(buf),client);

	delete [] buf;

	XMLString::release(&uri);
	XMLString::release(&term);

	if (name) SetTermName(name,client);
}

void IMp7JrsControlledTermUseType::GetTermReference(XMLCh** uri, XMLCh** term) 
{
	Mp7JrstermReferencePtr href = Gethref();
	if (!href) return;

	Mp7JrstermReferenceType_LocalPtr hrefPattern = href->GettermReferenceType_LocalType();

	// URN case
	if (hrefPattern) {
		XMLCh* hrefPat = hrefPattern->GetContent();

		XMLCh* uriBuf = XMLString::replicate(hrefPat);

		int lastColon = XMLString::lastIndexOf(uriBuf,L':');
		XMLString::copyNString (uriBuf,hrefPat,lastColon); 

		XMLCh* termBuf = XMLString::replicate(hrefPat);
		hrefPat+=lastColon+1;
		XMLString::copyNString (termBuf,hrefPat,XMLString::stringLen(hrefPat));

		*uri = uriBuf;
		*term = termBuf;
	}
	// anyURI case
	else {
		Mp7JrstermReferenceType_Local0Ptr hrefURI = href->GettermReferenceType_LocalType0();
		XMLCh* uriStr = hrefURI->GetContent();

		XMLCh* uriBuf = XMLString::replicate(uriStr);

		int lastSlash = XMLString::lastIndexOf(uriBuf,L'/');
		XMLString::copyNString (uriBuf,uriStr,lastSlash); 

		XMLCh* termBuf = XMLString::replicate(uriStr);
		uriStr+=lastSlash+1;
		XMLString::copyNString (termBuf,uriStr,XMLString::stringLen(uriStr));

		*uri = uriBuf;
		*term = termBuf;
	}

}

	
void IMp7JrsControlledTermUseType::SetTermName(XMLCh* name, Mp7JrsClientID client) 
{
	Mp7JrsInlineTermDefinitionType_Name_CollectionPtr nameColl = CreateInlineTermDefinitionType_Name_CollectionType;
	Mp7JrsInlineTermDefinitionType_Name_LocalPtr nameElem = CreateInlineTermDefinitionType_Name_LocalType;
	nameColl->addElement(nameElem,client);
	SetName(nameColl,client);

	nameElem->SetContent(name,client); 
	
}
