

public:

	/** Add a keyframe */
	virtual void AddKeyframe(Mp7JrsmediaTimePointPtr keyframe, bool copyTimePoint = true, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);

	/** Get the number of keyframes */
	virtual int GetNrKeyframes();
	
	///

	/** Set the key video clip
	  * @param beginTime Begin time of the key video clip.
	  * @param endTime End tiem of the key video clip.
	  * @param copyTimePoints If true, the time points will be copied, otherwiese just pointers will be set. 
	  */
	virtual void SetKeyVideoClip(Mp7JrsmediaTimePointPtr beginTime, Mp7JrsmediaTimePointPtr endTime, bool copyTimePoints = true, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);

	/** Get the begin and end time of the key video clip */
	virtual void GetKeyVideoClip(Mp7JrsmediaTimePointPtr& beginTime, Mp7JrsmediaTimePointPtr& endTime);

	// segment name

	/** Add a name */
	virtual void AddName(XMLCh* name, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);


