

public:

	/** Get total number of fractions represented by this timepoint.
	  * @return Total number of fractions represented with respect to the number of fractions/second of this duration. 
	  */
	virtual int GetTotalNrFractions();

	/** Set the total number of fractions of this duration.
	  * @return Total number of fractions represented with respect to the number of fractions/second of this duration. 
	  */
	virtual void SetTotalNrFractions(int fractions, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);
