/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _62MP7JRSANALYTICCLIPTYPEFACTORY_H
#define _62MP7JRSANALYTICCLIPTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsAnalyticClipTypeFactory<br>
 * for class Mp7JrsAnalyticClipType:<br>
 * Located at: mds-2001.xsd, line 4021<br>
 * Classified: Class<br>
 * Derived from: AnalyticEditedVideoSegmentType (Class)<br>
 * Abstract class <br>
 */

class MP7JRS_EXPORT Mp7JrsAnalyticClipTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsAnalyticClipTypeFactory();
    virtual ~Mp7JrsAnalyticClipTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _62MP7JRSANALYTICCLIPTYPEFACTORY_H
