/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _404MP7JRSCOLORLAYOUTTYPE_CBACCOEFF2_LOCALTYPEFACTORY_H
#define _404MP7JRSCOLORLAYOUTTYPE_CBACCOEFF2_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsColorLayoutType_CbACCoeff2_LocalTypeFactory<br>
 * for class Mp7JrsColorLayoutType_CbACCoeff2_LocalType:<br>
 * Located at: visual-2001.xsd, line 458<br>
 * Derived from: ColorLayoutType_CbACCoeff2_CollectionType (Collection)<br>
 */

class MP7JRS_EXPORT Mp7JrsColorLayoutType_CbACCoeff2_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsColorLayoutType_CbACCoeff2_LocalTypeFactory();
    virtual ~Mp7JrsColorLayoutType_CbACCoeff2_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _404MP7JRSCOLORLAYOUTTYPE_CBACCOEFF2_LOCALTYPEFACTORY_H
