/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _511MP7JRSCOLORSPACETYPE_TYPE_LOCALTYPE_H
#define _511MP7JRSCOLORSPACETYPE_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsColorSpaceType_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsColorSpaceType_type_LocalType<br>
 * Located at: visual-2001.xsd, line 257<br>
 * Enumerations: <br>
 * RGB (mapped to XML RGB) <br>
 * YCbCr (mapped to XML YCbCr) <br>
 * HSV (mapped to XML HSV) <br>
 * HMMD (mapped to XML HMMD) <br>
 * LinearMatrix (mapped to XML LinearMatrix) <br>
 * Monochrome (mapped to XML Monochrome) <br>
 */
class MP7JRS_EXPORT Mp7JrsColorSpaceType_type_LocalType
{
public:
	/** Mp7JrsColorSpaceType_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		RGB, // Mapped to RGB
		YCbCr, // Mapped to YCbCr
		HSV, // Mapped to HSV
		HMMD, // Mapped to HMMD
		LinearMatrix, // Mapped to LinearMatrix
		Monochrome, // Mapped to Monochrome
	};
	

// no includefile for extension defined 
// file Mp7JrsColorSpaceType_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsColorSpaceType_type_LocalType::Enumeration item);
	static Mp7JrsColorSpaceType_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsColorSpaceType_type_LocalType_ExtPropDef.h


};
#endif // _511MP7JRSCOLORSPACETYPE_TYPE_LOCALTYPE_H
