/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _566MP7JRSCONTENTCOLLECTIONTYPE_COLLECTIONTYPE0FACTORY_H
#define _566MP7JRSCONTENTCOLLECTIONTYPE_COLLECTIONTYPE0FACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsContentCollectionType_CollectionType0Factory<br>
 * for class Mp7JrsContentCollectionType_CollectionType0:<br>
 * Located at: mds-2001.xsd, line 5245<br>
 * Item type: ContentCollectionType_LocalType0 (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsContentCollectionType_CollectionType0Factory :
    public Mp7JrsFactory
{
public:
    Mp7JrsContentCollectionType_CollectionType0Factory();
    virtual ~Mp7JrsContentCollectionType_CollectionType0Factory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _566MP7JRSCONTENTCOLLECTIONTYPE_COLLECTIONTYPE0FACTORY_H
