/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _576MP7JRSCONTENTDESCRIPTIONTYPEFACTORY_H
#define _576MP7JRSCONTENTDESCRIPTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsContentDescriptionTypeFactory<br>
 * for class Mp7JrsContentDescriptionType:<br>
 * Located at: mds-2001.xsd, line 148<br>
 * Classified: Class<br>
 * Derived from: CompleteDescriptionType (Class)<br>
 * Abstract class <br>
 */

class MP7JRS_EXPORT Mp7JrsContentDescriptionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsContentDescriptionTypeFactory();
    virtual ~Mp7JrsContentDescriptionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _576MP7JRSCONTENTDESCRIPTIONTYPEFACTORY_H
