/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _750MP7JRSDOMINANTCOLORTYPE_VALUE_COLORVARIANCE_COLLECTIONTYPEFACTORY_H
#define _750MP7JRSDOMINANTCOLORTYPE_VALUE_COLORVARIANCE_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsDominantColorType_Value_ColorVariance_CollectionTypeFactory<br>
 * for class Mp7JrsDominantColorType_Value_ColorVariance_CollectionType:<br>
 * Located at: visual-2001.xsd, line 323<br>
 * Item type: unsigned1 (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsDominantColorType_Value_ColorVariance_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsDominantColorType_Value_ColorVariance_CollectionTypeFactory();
    virtual ~Mp7JrsDominantColorType_Value_ColorVariance_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _750MP7JRSDOMINANTCOLORTYPE_VALUE_COLORVARIANCE_COLLECTIONTYPEFACTORY_H
