/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _825MP7JRSEXTENDEDLANGUAGETYPE_TYPE_LOCALTYPE_H
#define _825MP7JRSEXTENDEDLANGUAGETYPE_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsExtendedLanguageType_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsExtendedLanguageType_type_LocalType<br>
 * Located at: mds-2001.xsd, line 2676<br>
 * Enumerations: <br>
 * original (mapped to XML original) <br>
 * dubbed (mapped to XML dubbed) <br>
 * background (mapped to XML background) <br>
 */
class MP7JRS_EXPORT Mp7JrsExtendedLanguageType_type_LocalType
{
public:
	/** Mp7JrsExtendedLanguageType_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		original, // Mapped to original
		dubbed, // Mapped to dubbed
		background, // Mapped to background
	};
	

// no includefile for extension defined 
// file Mp7JrsExtendedLanguageType_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsExtendedLanguageType_type_LocalType::Enumeration item);
	static Mp7JrsExtendedLanguageType_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsExtendedLanguageType_type_LocalType_ExtPropDef.h


};
#endif // _825MP7JRSEXTENDEDLANGUAGETYPE_TYPE_LOCALTYPE_H
