/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _858MP7JRSFILTERINGTYPEFACTORY_H
#define _858MP7JRSFILTERINGTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsFilteringTypeFactory<br>
 * for class Mp7JrsFilteringType:<br>
 * Located at: mds-2001.xsd, line 4818<br>
 * Classified: Class<br>
 */

class MP7JRS_EXPORT Mp7JrsFilteringTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsFilteringTypeFactory();
    virtual ~Mp7JrsFilteringTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _858MP7JRSFILTERINGTYPEFACTORY_H
