/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1116MP7JRSLEXICONTYPEFACTORY_H
#define _1116MP7JRSLEXICONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsLexiconTypeFactory<br>
 * for class Mp7JrsLexiconType:<br>
 * Located at: audio-2001.xsd, line 530<br>
 * Classified: Class<br>
 * Derived from: HeaderType (Class)<br>
 * Abstract class <br>
 * Derived from: HeaderType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsLexiconTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsLexiconTypeFactory();
    virtual ~Mp7JrsLexiconTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1116MP7JRSLEXICONTYPEFACTORY_H
