/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1165MP7JRSMEDIAFORMATTYPE_VISUALCODING_FORMAT_COLORDOMAIN_LOCALTYPE_H
#define _1165MP7JRSMEDIAFORMATTYPE_VISUALCODING_FORMAT_COLORDOMAIN_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_VisualCoding_Format_colorDomain_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsMediaFormatType_VisualCoding_Format_colorDomain_LocalType<br>
 * Located at: mds-2001.xsd, line 2196<br>
 * Enumerations: <br>
 * binary (mapped to XML binary) <br>
 * color (mapped to XML color) <br>
 * graylevel (mapped to XML graylevel) <br>
 * colorized (mapped to XML colorized) <br>
 */
class MP7JRS_EXPORT Mp7JrsMediaFormatType_VisualCoding_Format_colorDomain_LocalType
{
public:
	/** Mp7JrsMediaFormatType_VisualCoding_Format_colorDomain_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		binary, // Mapped to binary
		color, // Mapped to color
		graylevel, // Mapped to graylevel
		colorized, // Mapped to colorized
	};
	

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_VisualCoding_Format_colorDomain_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsMediaFormatType_VisualCoding_Format_colorDomain_LocalType::Enumeration item);
	static Mp7JrsMediaFormatType_VisualCoding_Format_colorDomain_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_VisualCoding_Format_colorDomain_LocalType_ExtPropDef.h


};
#endif // _1165MP7JRSMEDIAFORMATTYPE_VISUALCODING_FORMAT_COLORDOMAIN_LOCALTYPE_H
