/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1219MP7JRSMEDIAQUALITYTYPE_QUALITYRATING_TYPE_LOCALTYPE_H
#define _1219MP7JRSMEDIAQUALITYTYPE_QUALITYRATING_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsMediaQualityType_QualityRating_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsMediaQualityType_QualityRating_type_LocalType<br>
 * Located at: mds-2001.xsd, line 2409<br>
 * Enumerations: <br>
 * subjective (mapped to XML subjective) <br>
 * objective (mapped to XML objective) <br>
 */
class MP7JRS_EXPORT Mp7JrsMediaQualityType_QualityRating_type_LocalType
{
public:
	/** Mp7JrsMediaQualityType_QualityRating_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		subjective, // Mapped to subjective
		objective, // Mapped to objective
	};
	

// no includefile for extension defined 
// file Mp7JrsMediaQualityType_QualityRating_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsMediaQualityType_QualityRating_type_LocalType::Enumeration item);
	static Mp7JrsMediaQualityType_QualityRating_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsMediaQualityType_QualityRating_type_LocalType_ExtPropDef.h


};
#endif // _1219MP7JRSMEDIAQUALITYTYPE_QUALITYRATING_TYPE_LOCALTYPE_H
