/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1507MP7JRSORGANIZATIONTYPE_NAMETERM_TYPE_LOCALTYPE_H
#define _1507MP7JRSORGANIZATIONTYPE_NAMETERM_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsOrganizationType_NameTerm_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsOrganizationType_NameTerm_type_LocalType<br>
 * Located at: mds-2001.xsd, line 1790<br>
 * Enumerations: <br>
 * former (mapped to XML former) <br>
 * variant (mapped to XML variant) <br>
 * main (mapped to XML main) <br>
 */
class MP7JRS_EXPORT Mp7JrsOrganizationType_NameTerm_type_LocalType
{
public:
	/** Mp7JrsOrganizationType_NameTerm_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		former, // Mapped to former
		variant, // Mapped to variant
		main, // Mapped to main
	};
	

// no includefile for extension defined 
// file Mp7JrsOrganizationType_NameTerm_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsOrganizationType_NameTerm_type_LocalType::Enumeration item);
	static Mp7JrsOrganizationType_NameTerm_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsOrganizationType_NameTerm_type_LocalType_ExtPropDef.h


};
#endif // _1507MP7JRSORGANIZATIONTYPE_NAMETERM_TYPE_LOCALTYPE_H
