/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1700MP7JRSREGIONLOCATORTYPEFACTORY_H
#define _1700MP7JRSREGIONLOCATORTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsRegionLocatorTypeFactory<br>
 * for class Mp7JrsRegionLocatorType:<br>
 * Located at: visual-2001.xsd, line 1122<br>
 * Classified: Class<br>
 */

class MP7JRS_EXPORT Mp7JrsRegionLocatorTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsRegionLocatorTypeFactory();
    virtual ~Mp7JrsRegionLocatorTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1700MP7JRSREGIONLOCATORTYPEFACTORY_H
