/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1712MP7JRSREGIONSHAPETYPEFACTORY_H
#define _1712MP7JRSREGIONSHAPETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsRegionShapeTypeFactory<br>
 * for class Mp7JrsRegionShapeType:<br>
 * Located at: visual-2001.xsd, line 754<br>
 * Classified: Class<br>
 * Derived from: VisualDType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsRegionShapeTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsRegionShapeTypeFactory();
    virtual ~Mp7JrsRegionShapeTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1712MP7JRSREGIONSHAPETYPEFACTORY_H
