/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1838MP7JRSSEMANTICPLACETYPEFACTORY_H
#define _1838MP7JRSSEMANTICPLACETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSemanticPlaceTypeFactory<br>
 * for class Mp7JrsSemanticPlaceType:<br>
 * Located at: mds-2001.xsd, line 4385<br>
 * Classified: Class<br>
 * Derived from: SemanticBaseType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsSemanticPlaceTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSemanticPlaceTypeFactory();
    virtual ~Mp7JrsSemanticPlaceTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1838MP7JRSSEMANTICPLACETYPEFACTORY_H
