/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1884MP7JRSSHAPE3DTYPE_SPECTRUM_COLLECTIONTYPEFACTORY_H
#define _1884MP7JRSSHAPE3DTYPE_SPECTRUM_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsShape3DType_Spectrum_CollectionTypeFactory<br>
 * for class Mp7JrsShape3DType_Spectrum_CollectionType:<br>
 * Located at: visual-2001.xsd, line 812<br>
 * Item type: unsigned12 (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsShape3DType_Spectrum_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsShape3DType_Spectrum_CollectionTypeFactory();
    virtual ~Mp7JrsShape3DType_Spectrum_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1884MP7JRSSHAPE3DTYPE_SPECTRUM_COLLECTIONTYPEFACTORY_H
