/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1907MP7JRSSIGNALPLANEORIGINTYPE_ZORIGIN_LOCALTYPE_H
#define _1907MP7JRSSIGNALPLANEORIGINTYPE_ZORIGIN_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsSignalPlaneOriginType_zOrigin_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsSignalPlaneOriginType_zOrigin_LocalType<br>
 * Located at: mds-2001.xsd, line 4758<br>
 * Enumerations: <br>
 * back (mapped to XML back) <br>
 * front (mapped to XML front) <br>
 */
class MP7JRS_EXPORT Mp7JrsSignalPlaneOriginType_zOrigin_LocalType
{
public:
	/** Mp7JrsSignalPlaneOriginType_zOrigin_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		back, // Mapped to back
		front, // Mapped to front
	};
	

// no includefile for extension defined 
// file Mp7JrsSignalPlaneOriginType_zOrigin_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsSignalPlaneOriginType_zOrigin_LocalType::Enumeration item);
	static Mp7JrsSignalPlaneOriginType_zOrigin_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsSignalPlaneOriginType_zOrigin_LocalType_ExtPropDef.h


};
#endif // _1907MP7JRSSIGNALPLANEORIGINTYPE_ZORIGIN_LOCALTYPE_H
