/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1924MP7JRSSOUNDCLASSIFICATIONMODELTYPE_SOUNDMODEL_COLLECTIONTYPEFACTORY_H
#define _1924MP7JRSSOUNDCLASSIFICATIONMODELTYPE_SOUNDMODEL_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSoundClassificationModelType_SoundModel_CollectionTypeFactory<br>
 * for class Mp7JrsSoundClassificationModelType_SoundModel_CollectionType:<br>
 * Located at: audio-2001.xsd, line 709<br>
 * Item type: SoundModelType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsSoundClassificationModelType_SoundModel_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSoundClassificationModelType_SoundModel_CollectionTypeFactory();
    virtual ~Mp7JrsSoundClassificationModelType_SoundModel_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1924MP7JRSSOUNDCLASSIFICATIONMODELTYPE_SOUNDMODEL_COLLECTIONTYPEFACTORY_H
