/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2012MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_LOCALCOORDINATESYSTEM_LOCALTYPE1FACTORY_H
#define _2012MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_LOCALCOORDINATESYSTEM_LOCALTYPE1FACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType1Factory<br>
 * for class Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType1:<br>
 * Located at: visual-2001.xsd, line 117<br>
 * Classified: Class<br>
 */

class MP7JRS_EXPORT Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType1Factory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType1Factory();
    virtual ~Mp7JrsSpatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType1Factory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2012MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_LOCALCOORDINATESYSTEM_LOCALTYPE1FACTORY_H
