/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2024MP7JRSSPATIALMASKTYPE_SUBREGION_COLLECTIONTYPEFACTORY_H
#define _2024MP7JRSSPATIALMASKTYPE_SUBREGION_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSpatialMaskType_SubRegion_CollectionTypeFactory<br>
 * for class Mp7JrsSpatialMaskType_SubRegion_CollectionType:<br>
 * Located at: mds-2001.xsd, line 2979<br>
 * Item type: RegionLocatorType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsSpatialMaskType_SubRegion_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSpatialMaskType_SubRegion_CollectionTypeFactory();
    virtual ~Mp7JrsSpatialMaskType_SubRegion_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2024MP7JRSSPATIALMASKTYPE_SUBREGION_COLLECTIONTYPEFACTORY_H
