/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2086MP7JRSSPOKENCONTENTLATTICETYPE_BLOCK_LOCALTYPEFACTORY_H
#define _2086MP7JRSSPOKENCONTENTLATTICETYPE_BLOCK_LOCALTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSpokenContentLatticeType_Block_LocalTypeFactory<br>
 * for class Mp7JrsSpokenContentLatticeType_Block_LocalType:<br>
 * Located at: audio-2001.xsd, line 601<br>
 * Classified: Class<br>
 */

class MP7JRS_EXPORT Mp7JrsSpokenContentLatticeType_Block_LocalTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSpokenContentLatticeType_Block_LocalTypeFactory();
    virtual ~Mp7JrsSpokenContentLatticeType_Block_LocalTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2086MP7JRSSPOKENCONTENTLATTICETYPE_BLOCK_LOCALTYPEFACTORY_H
