/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2237MP7JRSTEMPORALINTERPOLATIONTYPE_INTERPOLATIONFUNCTIONS_KEYVALUE_TYPE_LOCALTYPE_H
#define _2237MP7JRSTEMPORALINTERPOLATIONTYPE_INTERPOLATIONFUNCTIONS_KEYVALUE_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType<br>
 * Located at: visual-2001.xsd, line 220<br>
 * Enumerations: <br>
 * startPoint (mapped to XML startPoint) <br>
 * firstOrder (mapped to XML firstOrder) <br>
 * secondOrder (mapped to XML secondOrder) <br>
 * notDetermined (mapped to XML notDetermined) <br>
 */
class MP7JRS_EXPORT Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType
{
public:
	/** Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		startPoint, // Mapped to startPoint
		firstOrder, // Mapped to firstOrder
		secondOrder, // Mapped to secondOrder
		notDetermined, // Mapped to notDetermined
	};
	

// no includefile for extension defined 
// file Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType::Enumeration item);
	static Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsTemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType_ExtPropDef.h


};
#endif // _2237MP7JRSTEMPORALINTERPOLATIONTYPE_INTERPOLATIONFUNCTIONS_KEYVALUE_TYPE_LOCALTYPE_H
