/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2458MP7JRSVARIATIONDESCRIPTIONTYPEFACTORY_H
#define _2458MP7JRSVARIATIONDESCRIPTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsVariationDescriptionTypeFactory<br>
 * for class Mp7JrsVariationDescriptionType:<br>
 * Located at: mds-2001.xsd, line 217<br>
 * Classified: Class<br>
 * Derived from: ContentAbstractionType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsVariationDescriptionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsVariationDescriptionTypeFactory();
    virtual ~Mp7JrsVariationDescriptionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2458MP7JRSVARIATIONDESCRIPTIONTYPEFACTORY_H
