/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2553MP7JRSVIEWSETTYPE_SETPROPERTY_LOCALTYPE_H
#define _2553MP7JRSVIEWSETTYPE_SETPROPERTY_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsViewSetType_setProperty_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsViewSetType_setProperty_LocalType<br>
 * Located at: mds-2001.xsd, line 5004<br>
 * Enumerations: <br>
 * space (mapped to XML space) <br>
 * frequency (mapped to XML frequency) <br>
 * subband (mapped to XML subband) <br>
 * uniformSubband (mapped to XML uniformSubband) <br>
 * wavelet (mapped to XML wavelet) <br>
 */
class MP7JRS_EXPORT Mp7JrsViewSetType_setProperty_LocalType
{
public:
	/** Mp7JrsViewSetType_setProperty_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		space, // Mapped to space
		frequency, // Mapped to frequency
		subband, // Mapped to subband
		uniformSubband, // Mapped to uniformSubband
		wavelet, // Mapped to wavelet
	};
	

// no includefile for extension defined 
// file Mp7JrsViewSetType_setProperty_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsViewSetType_setProperty_LocalType::Enumeration item);
	static Mp7JrsViewSetType_setProperty_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsViewSetType_setProperty_LocalType_ExtPropDef.h


};
#endif // _2553MP7JRSVIEWSETTYPE_SETPROPERTY_LOCALTYPE_H
