/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1595MP7JRSPHONETICALPHABETTYPE_H
#define _1595MP7JRSPHONETICALPHABETTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsphoneticAlphabetType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsphoneticAlphabetType<br>
 * Located at: audio-2001.xsd, line 553<br>
 * Enumerations: <br>
 * sampa (mapped to XML sampa) <br>
 * ipaSymbol (mapped to XML ipaSymbol) <br>
 * ipaNumber (mapped to XML ipaNumber) <br>
 * other (mapped to XML other) <br>
 */
class MP7JRS_EXPORT Mp7JrsphoneticAlphabetType
{
public:
	/** Mp7JrsphoneticAlphabetType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		sampa, // Mapped to sampa
		ipaSymbol, // Mapped to ipaSymbol
		ipaNumber, // Mapped to ipaNumber
		other, // Mapped to other
	};
	

// no includefile for extension defined 
// file Mp7JrsphoneticAlphabetType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsphoneticAlphabetType::Enumeration item);
	static Mp7JrsphoneticAlphabetType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsphoneticAlphabetType_ExtPropDef.h


};
#endif // _1595MP7JRSPHONETICALPHABETTYPE_H
