/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1652MP7JRSPREFERENCEVALUETYPEFACTORY_H
#define _1652MP7JRSPREFERENCEVALUETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrspreferenceValueTypeFactory<br>
 * for class Mp7JrspreferenceValueType:<br>
 * Located at: mds-2001.xsd, line 5860<br>
 * Derived from: integer (Value)<br>
 */

class MP7JRS_EXPORT Mp7JrspreferenceValueTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrspreferenceValueTypeFactory();
    virtual ~Mp7JrspreferenceValueTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1652MP7JRSPREFERENCEVALUETYPEFACTORY_H
