/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1752MP7JRSSCALETYPEFACTORY_H
#define _1752MP7JRSSCALETYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsscaleTypeFactory<br>
 * for class Mp7JrsscaleType:<br>
 * Located at: audio-2001.xsd, line 802<br>
 * Derived from: floatVector (Collection)<br>
 */

class MP7JRS_EXPORT Mp7JrsscaleTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsscaleTypeFactory();
    virtual ~Mp7JrsscaleTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1752MP7JRSSCALETYPEFACTORY_H
