/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2283MP7JRSTERMRELATIONQUALIFIERTYPE_LOCALTYPE_H
#define _2283MP7JRSTERMRELATIONQUALIFIERTYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrstermRelationQualifierType_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrstermRelationQualifierType_LocalType<br>
 * Located at: mds-2001.xsd, line 1448<br>
 * Enumerations: <br>
 * NT (mapped to XML NT) <br>
 * BT (mapped to XML BT) <br>
 * RT (mapped to XML RT) <br>
 * US (mapped to XML US) <br>
 * UF (mapped to XML UF) <br>
 */
class MP7JRS_EXPORT Mp7JrstermRelationQualifierType_LocalType
{
public:
	/** Mp7JrstermRelationQualifierType_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		NT, // Mapped to NT
		BT, // Mapped to BT
		RT, // Mapped to RT
		US, // Mapped to US
		UF, // Mapped to UF
	};
	

// no includefile for extension defined 
// file Mp7JrstermRelationQualifierType_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrstermRelationQualifierType_LocalType::Enumeration item);
	static Mp7JrstermRelationQualifierType_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrstermRelationQualifierType_LocalType_ExtPropDef.h


};
#endif // _2283MP7JRSTERMRELATIONQUALIFIERTYPE_LOCALTYPE_H
