/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2324MP7JRSTIMEOFFSETTYPEFACTORY_H
#define _2324MP7JRSTIMEOFFSETTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrstimeOffsetTypeFactory<br>
 * for class Mp7JrstimeOffsetType:<br>
 * Located at: mds-2001.xsd, line 973<br>
 * Regular expression: <br>
 * \-?P(\d+D)?(T(\d+H)?(\d+M)?(\d+S)?(\d+N)?)?(\d+F)?((\-|\+)\d{2}:\d{2}Z)?<br>
 */

class MP7JRS_EXPORT Mp7JrstimeOffsetTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrstimeOffsetTypeFactory();
    virtual ~Mp7JrstimeOffsetTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2324MP7JRSTIMEOFFSETTYPEFACTORY_H
