/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef MP7JRS_TYPES_H_INCLUDED
#define MP7JRS_TYPES_H_INCLUDED

// smart pointer type definitions for hand coded classes
// baw 11 08 2003

class Mp7JrsArchive;
typedef Mp7JrsPtr<Mp7JrsArchive> Mp7JrsArchivePtr;

class Mp7JrsClientManager;
typedef Mp7JrsPtr<Mp7JrsClientManager> Mp7JrsClientManagerPtr;

class Mp7JrsDocument;
typedef Mp7JrsPtr<Mp7JrsDocument> Mp7JrsClientDocumentPtr;

class Mp7JrsNode;
typedef Mp7JrsPtr<Mp7JrsNode> Mp7JrsNodePtr;

class Mp7JrsNodeLockNotification;
typedef Mp7JrsPtr<Mp7JrsNodeLockNotification> Mp7JrsNodeLockNotificationPtr;

class Mp7JrsNodeUpdateNotification;
typedef Mp7JrsPtr<Mp7JrsNodeUpdateNotification> Mp7JrsNodeUpdateNotificationPtr;
class Mp7JrsNotification;
typedef Mp7JrsPtr<Mp7JrsNotification> Mp7JrsNotificationPtr;

class Mp7JrsNotificationListener;
typedef Mp7JrsPtr<Mp7JrsNotificationListener> Mp7JrsNotificationListenerPtr;

class Mp7JrsUnknown;
typedef Mp7JrsPtr<Mp7JrsUnknown> Mp7JrsUnknownPtr;

#endif /* MP7JRS_TYPES_H_INCLUDED */
