#include "Mp7JrsColorLayoutType_YACCoeff2_CollectionType.h"
#include "Mp7JrsColorLayoutType_YACCoeff5_CollectionType.h"
#include "Mp7JrsColorLayoutType_YACCoeff9_CollectionType.h"
#include "Mp7JrsColorLayoutType_YACCoeff14_CollectionType.h"
#include "Mp7JrsColorLayoutType_YACCoeff20_CollectionType.h"
#include "Mp7JrsColorLayoutType_YACCoeff27_CollectionType.h"
#include "Mp7JrsColorLayoutType_YACCoeff63_CollectionType.h"

#include "Mp7JrsColorLayoutType_CbACCoeff2_CollectionType.h"
#include "Mp7JrsColorLayoutType_CbACCoeff5_CollectionType.h"
#include "Mp7JrsColorLayoutType_CbACCoeff9_CollectionType.h"
#include "Mp7JrsColorLayoutType_CbACCoeff14_CollectionType.h"
#include "Mp7JrsColorLayoutType_CbACCoeff20_CollectionType.h"
#include "Mp7JrsColorLayoutType_CbACCoeff27_CollectionType.h"
#include "Mp7JrsColorLayoutType_CbACCoeff63_CollectionType.h"

#include "Mp7JrsColorLayoutType_CrACCoeff2_CollectionType.h"
#include "Mp7JrsColorLayoutType_CrACCoeff5_CollectionType.h"
#include "Mp7JrsColorLayoutType_CrACCoeff9_CollectionType.h"
#include "Mp7JrsColorLayoutType_CrACCoeff14_CollectionType.h"
#include "Mp7JrsColorLayoutType_CrACCoeff20_CollectionType.h"
#include "Mp7JrsColorLayoutType_CrACCoeff27_CollectionType.h"
#include "Mp7JrsColorLayoutType_CrACCoeff63_CollectionType.h"

#include "Mp7Jrsunsigned5.h"
#include "Mp7JrsFactory.h"

int _clNCoeffs[] = { 2, 5, 9, 14, 20, 27, 63 };
int _clNCoeffOptions = 7;

void IMp7JrsColorLayoutType::SetNrCoefficients(unsigned* y, unsigned* c, Mp7JrsClientID client)
{
	// subtract DC
	(*y)--; (*c)--;
	
	// change to valid numbers
	*y = _NrCoeffsToUse(*y);
	*c = _NrCoeffsToUse(*c);

	_nrYCoeff = *y;
	_nrCCoeff = *c;
	

	_CreateCoeffListsY(*y,client);

	_CreateCoeffListsC(*c,client);
	
}

void IMp7JrsColorLayoutType::SetY(unsigned* coeffs, Mp7JrsClientID client) {
	int i;
	GetYDCCoeff()->SetContent(coeffs[0],client);
	if (GetYACCoeff2()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff2_LocalPtr coll = GetYACCoeff2();
		for (i=1;i<=2;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	else if (GetYACCoeff5()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff5_LocalPtr coll = GetYACCoeff5();
		for (i=1;i<=5;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	else if (GetYACCoeff9()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff9_LocalPtr coll = GetYACCoeff9();
		for (i=1;i<=9;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	else if (GetYACCoeff14()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff14_LocalPtr coll = GetYACCoeff14();
		for (i=1;i<=14;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	else if (GetYACCoeff20()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff20_LocalPtr coll = GetYACCoeff20();
		for (i=1;i<=20;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	else if (GetYACCoeff27()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff27_LocalPtr coll = GetYACCoeff27();
		for (i=1;i<=27;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	else if (GetYACCoeff63()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff63_LocalPtr coll = GetYACCoeff63();
		for (i=1;i<=63;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
}

void IMp7JrsColorLayoutType::GetY(unsigned* coeffs) {
	int i;
	coeffs[0] = GetYDCCoeff()->GetContent();

	if (GetYACCoeff2()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff2_LocalPtr coll = GetYACCoeff2();
		for (i=1;i<=2;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	else if (GetYACCoeff5()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff5_LocalPtr coll = GetYACCoeff5();
		for (i=1;i<=5;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	else if (GetYACCoeff9()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff9_LocalPtr coll = GetYACCoeff9();
		for (i=1;i<=9;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	else if (GetYACCoeff14()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff14_LocalPtr coll = GetYACCoeff14();
		for (i=1;i<=14;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	else if (GetYACCoeff20()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff20_LocalPtr coll = GetYACCoeff20();
		for (i=1;i<=20;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	else if (GetYACCoeff27()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff27_LocalPtr coll = GetYACCoeff27();
		for (i=1;i<=2;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	else if (GetYACCoeff63()!=NULL) {
		Mp7JrsColorLayoutType_YACCoeff63_LocalPtr coll = GetYACCoeff63();
		for (i=1;i<=63;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
}

void IMp7JrsColorLayoutType::SetCb(unsigned* coeffs, Mp7JrsClientID client) {
	int i;
	GetCbDCCoeff()->SetContent(coeffs[0],client);
	if (GetCbACCoeff2() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff2_LocalPtr coll = GetCbACCoeff2();
		for (i=1;i<=2;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCbACCoeff5() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff5_LocalPtr coll = GetCbACCoeff5();
		for (i=1;i<=5;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCbACCoeff9() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff9_LocalPtr coll = GetCbACCoeff9();
		for (i=1;i<=9;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCbACCoeff14() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff14_LocalPtr coll = GetCbACCoeff14();
		for (i=1;i<=14;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCbACCoeff20() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff20_LocalPtr coll = GetCbACCoeff20();
		for (i=1;i<=20;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCbACCoeff27() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff27_LocalPtr coll = GetCbACCoeff27();
		for (i=1;i<=27;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCbACCoeff63() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff63_LocalPtr coll = GetCbACCoeff63();
		for (i=1;i<=63;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
}

void IMp7JrsColorLayoutType::GetCb(unsigned* coeffs) {
	int i;
	coeffs[0] = GetCbDCCoeff()->GetContent();
	if (GetCbACCoeff2() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff2_LocalPtr coll = GetCbACCoeff2();
		for (i=1;i<=2;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCbACCoeff5() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff5_LocalPtr coll = GetCbACCoeff5();
		for (i=1;i<=5;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCbACCoeff9() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff9_LocalPtr coll = GetCbACCoeff9();
		for (i=1;i<=9;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCbACCoeff14() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff14_LocalPtr coll = GetCbACCoeff14();
		for (i=1;i<=14;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCbACCoeff20() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff20_LocalPtr coll = GetCbACCoeff20();
		for (i=1;i<=20;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCbACCoeff27() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff27_LocalPtr coll = GetCbACCoeff27();
		for (i=1;i<=27;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCbACCoeff63() != NULL) {
		Mp7JrsColorLayoutType_CbACCoeff63_LocalPtr coll = GetCbACCoeff63();
		for (i=1;i<=63;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
}

void IMp7JrsColorLayoutType::SetCr(unsigned* coeffs, Mp7JrsClientID client) {
	int i;
	GetCrDCCoeff()->SetContent(coeffs[0],client);
	if (GetCrACCoeff2() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff2_LocalPtr coll = GetCrACCoeff2();
		for (i=1;i<=2;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCrACCoeff5() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff5_LocalPtr coll = GetCrACCoeff5();
		for (i=1;i<=5;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCrACCoeff9() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff9_LocalPtr coll = GetCrACCoeff9();
		for (i=1;i<=9;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCrACCoeff14() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff14_LocalPtr coll = GetCrACCoeff14();
		for (i=1;i<=14;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCrACCoeff20() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff20_LocalPtr coll = GetCrACCoeff20();
		for (i=1;i<=20;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCrACCoeff27() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff27_LocalPtr coll = GetCrACCoeff27();
		for (i=1;i<=27;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
	if (GetCrACCoeff63() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff63_LocalPtr coll = GetCrACCoeff63();
		for (i=1;i<=63;i++) (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->SetContent(coeffs[i],client);
	}
}

void IMp7JrsColorLayoutType::GetCr(unsigned* coeffs) {
	int i;
	coeffs[0] = GetCrDCCoeff()->GetContent();
	if (GetCrACCoeff2() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff2_LocalPtr coll = GetCrACCoeff2();
		for (i=1;i<=2;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCrACCoeff5() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff5_LocalPtr coll = GetCrACCoeff5();
		for (i=1;i<=5;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCrACCoeff9() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff9_LocalPtr coll = GetCrACCoeff9();
		for (i=1;i<=9;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCrACCoeff14() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff14_LocalPtr coll = GetCrACCoeff14();
		for (i=1;i<=14;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCrACCoeff20() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff20_LocalPtr coll = GetCrACCoeff20();
		for (i=1;i<=20;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCrACCoeff27() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff27_LocalPtr coll = GetCrACCoeff27();
		for (i=1;i<=27;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
	if (GetCrACCoeff63() != NULL) {
		Mp7JrsColorLayoutType_CrACCoeff63_LocalPtr coll = GetCrACCoeff63();
		for (i=1;i<=63;i++) coeffs[i] = (Mp7Jrsunsigned5Ptr(coll->elementAt(i-1)))->GetContent();
	}
}


unsigned IMp7JrsColorLayoutType::_NrCoeffsToUse(unsigned nrCoeffs) {
	unsigned i = 0;
	while ((i<=_clNCoeffOptions) && (nrCoeffs>=_clNCoeffs[i])) i++;
	return _clNCoeffs[i-1];	
}


void IMp7JrsColorLayoutType::_CreateCoeffListsY(unsigned y, Mp7JrsClientID client)
{
	// create DC member
	Mp7Jrsunsigned6Ptr ydc = Createunsigned6;
	SetYDCCoeff(ydc);
	
	int i;

	switch(y) {
	case 2: {
			Mp7JrsColorLayoutType_YACCoeff2_LocalPtr yLocal = CreateColorLayoutType_YACCoeff2_LocalType;
			for (int i=0; i<y; i++) yLocal->addElement(Createunsigned5,client);
			SetYACCoeff2(yLocal,client);
			break;
		}
	case 5: {
			Mp7JrsColorLayoutType_YACCoeff5_LocalPtr yLocal = CreateColorLayoutType_YACCoeff5_LocalType;
			for (int i=0; i<y; i++) yLocal->addElement(Createunsigned5,client);
			SetYACCoeff5(yLocal,client);
			break;
		}
	case 9: {
			Mp7JrsColorLayoutType_YACCoeff9_LocalPtr yLocal = CreateColorLayoutType_YACCoeff9_LocalType;
			for (int i=0; i<y; i++) yLocal->addElement(Createunsigned5,client);
			SetYACCoeff9(yLocal,client);
			break;
		}
	case 14: {
			Mp7JrsColorLayoutType_YACCoeff14_LocalPtr yLocal = CreateColorLayoutType_YACCoeff14_LocalType;
			for (int i=0; i<y; i++) yLocal->addElement(Createunsigned5,client);
			SetYACCoeff14(yLocal,client);
			break;
		}
	case 20: {
			Mp7JrsColorLayoutType_YACCoeff20_LocalPtr yLocal = CreateColorLayoutType_YACCoeff20_LocalType;
			for (int i=0; i<y; i++) yLocal->addElement(Createunsigned5,client);
			SetYACCoeff20(yLocal,client);
			break;
		}
	case 27: {
			Mp7JrsColorLayoutType_YACCoeff27_LocalPtr yLocal = CreateColorLayoutType_YACCoeff27_LocalType;
			for (int i=0; i<y; i++) yLocal->addElement(Createunsigned5,client);
			SetYACCoeff27(yLocal,client);
			break;
		}
	case 63: {
			Mp7JrsColorLayoutType_YACCoeff63_LocalPtr yLocal = CreateColorLayoutType_YACCoeff63_LocalType;
			for (int i=0; i<y; i++) yLocal->addElement(Createunsigned5,client);
			SetYACCoeff63(yLocal,client);
			break;
		}
	}
}

void IMp7JrsColorLayoutType::_CreateCoeffListsC(unsigned c, Mp7JrsClientID client) {
	// create DC members
	Mp7Jrsunsigned6Ptr cbdc = Createunsigned6;
	SetCbDCCoeff(cbdc);
	Mp7Jrsunsigned6Ptr crdc = Createunsigned6;
	SetCrDCCoeff(crdc);


	int i;

	switch(c) {
	case 2: {
			Mp7JrsColorLayoutType_CbACCoeff2_LocalPtr cbLocal = CreateColorLayoutType_CbACCoeff2_LocalType;
			for (i=0; i<c; i++) cbLocal->addElement(Createunsigned5,client);
			SetCbACCoeff2(cbLocal,client);

			Mp7JrsColorLayoutType_CrACCoeff2_LocalPtr crLocal = CreateColorLayoutType_CrACCoeff2_LocalType;
			for (i=0; i<c; i++) crLocal->addElement(Createunsigned5,client);
			SetCrACCoeff2(crLocal,client);
			break;
		}
	case 5: {
			Mp7JrsColorLayoutType_CbACCoeff5_LocalPtr cbLocal = CreateColorLayoutType_CbACCoeff5_LocalType;
			for (i=0; i<c; i++) cbLocal->addElement(Createunsigned5,client);
			SetCbACCoeff5(cbLocal,client);

			Mp7JrsColorLayoutType_CrACCoeff5_LocalPtr crLocal = CreateColorLayoutType_CrACCoeff5_LocalType;
			for (i=0; i<c; i++) crLocal->addElement(Createunsigned5,client);
			SetCrACCoeff5(crLocal,client);
			break;
		}
	case 9: {
			Mp7JrsColorLayoutType_CbACCoeff9_LocalPtr cbLocal = CreateColorLayoutType_CbACCoeff9_LocalType;
			for (i=0; i<c; i++) cbLocal->addElement(Createunsigned5,client);
			SetCbACCoeff9(cbLocal,client);

			Mp7JrsColorLayoutType_CrACCoeff9_LocalPtr crLocal = CreateColorLayoutType_CrACCoeff9_LocalType;
			for (i=0; i<c; i++) crLocal->addElement(Createunsigned5,client);
			SetCrACCoeff9(crLocal,client);
			break;
		}
	case 14: {
			Mp7JrsColorLayoutType_CbACCoeff14_LocalPtr cbLocal = CreateColorLayoutType_CbACCoeff14_LocalType;
			for (i=0; i<c; i++) cbLocal->addElement(Createunsigned5,client);
			SetCbACCoeff14(cbLocal,client);

			Mp7JrsColorLayoutType_CrACCoeff14_LocalPtr crLocal = CreateColorLayoutType_CrACCoeff14_LocalType;
			for (i=0; i<c; i++) crLocal->addElement(Createunsigned5,client);
			SetCrACCoeff14(crLocal,client);
			break;
		}
	case 20: {
			Mp7JrsColorLayoutType_CbACCoeff20_LocalPtr cbLocal = CreateColorLayoutType_CbACCoeff20_LocalType;
			for (i=0; i<c; i++) cbLocal->addElement(Createunsigned5,client);
			SetCbACCoeff20(cbLocal,client);

			Mp7JrsColorLayoutType_CrACCoeff20_LocalPtr crLocal = CreateColorLayoutType_CrACCoeff20_LocalType;
			for (i=0; i<c; i++) crLocal->addElement(Createunsigned5,client);
			SetCrACCoeff20(crLocal,client);
			break;
		}
	case 27: {
			Mp7JrsColorLayoutType_CbACCoeff27_LocalPtr cbLocal = CreateColorLayoutType_CbACCoeff27_LocalType;
			for (i=0; i<c; i++) cbLocal->addElement(Createunsigned5,client);
			SetCbACCoeff27(cbLocal,client);

			Mp7JrsColorLayoutType_CrACCoeff27_LocalPtr crLocal = CreateColorLayoutType_CrACCoeff27_LocalType;
			for (i=0; i<c; i++) crLocal->addElement(Createunsigned5,client);
			SetCrACCoeff27(crLocal,client);
			break;
			 }
	case 63: {
			Mp7JrsColorLayoutType_CbACCoeff63_LocalPtr cbLocal = CreateColorLayoutType_CbACCoeff63_LocalType;
			for (i=0; i<c; i++) cbLocal->addElement(Createunsigned5,client);
			SetCbACCoeff63(cbLocal,client);

			Mp7JrsColorLayoutType_CrACCoeff63_LocalPtr crLocal = CreateColorLayoutType_CrACCoeff63_LocalType;
			for (i=0; i<c; i++) crLocal->addElement(Createunsigned5,client);
			SetCrACCoeff63(crLocal,client);
			break;
			 }
	}
}

unsigned IMp7JrsColorLayoutType::GetNrYCoeffs() {
	if (GetYACCoeff2() != NULL) return 3;
	else if (GetYACCoeff5() != NULL) return 6;
	else if (GetYACCoeff9() != NULL) return 10;
	else if (GetYACCoeff14() != NULL) return 15;
	else if (GetYACCoeff20() != NULL) return 21;
	else if (GetYACCoeff27() != NULL) return 28;
	else if (GetYACCoeff63() != NULL) return 64;
	else return 0;
}


unsigned IMp7JrsColorLayoutType::GetNrCCoeffs() {
	if (GetCbACCoeff2() != NULL && GetCrACCoeff2() != NULL) return 3;
	else if (GetCbACCoeff5() != NULL && GetCrACCoeff5() != NULL) return 6;
	else if (GetCbACCoeff9() != NULL && GetCrACCoeff9() != NULL) return 10;
	else if (GetCbACCoeff14() != NULL && GetCrACCoeff14() != NULL) return 15;
	else if (GetCbACCoeff20() != NULL && GetCrACCoeff20() != NULL) return 21;
	else if (GetCbACCoeff27() != NULL && GetCrACCoeff27() != NULL) return 28;
	else if (GetCbACCoeff63() != NULL && GetCrACCoeff63() != NULL) return 64;
	else return 0;
}
