

public:

	// NOTE: days are ignored in calculations

	/** Get total number of fractions.
	  * @return Get the total number of fractions with respect to the timepoint's number of fractions/second. */
	virtual int GetTotalNrFractions();

	/** Set total number of fractions.
	  * @param fractions Total number of fractions with respect to the timepoint's number of fractions/second. */
	virtual void SetTotalNrFractions(int fractions, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);

	/** Get absolute value of relative time point using the currently valid mediaTimeBase. 
	  */
	virtual Mp7JrsmediaTimePointPtr GetAbsMediaTimePoint();

	/** Set absolute value of relative time point using the currently valid mediaTimeBase. 
	  */
	virtual void SetAbsMediaTimePoint(Mp7JrsmediaTimePointPtr tp, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);
	
private:

	Mp7JrsmediaTimePointPtr _GetMediaTimeBase();
