

public:

	/** Add a summary segment */
	virtual void AddSegment(Mp7JrsSummarySegmentPtr segment, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);

	/** Get number of summary segments */
	virtual int GetNrSegments();


	/** Add a summary segment group */
	virtual void AddSegmentGroup(Mp7JrsSummarySegmentGroupPtr segment, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);

	/** Get number of summary segment groups */
	virtual int GetNrSegmentGroups();


	// name and caption

	/** Add a name */
	virtual void AddName(XMLCh* name, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);

	/** Add a caption */
	virtual void AddCaption(XMLCh* caption, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);


	// fidelity

	/** Set the fidelity. */
	virtual void Setfidelity(float fid, Mp7JrsClientID client);

