
#include "Mp7JrsTextualType.h"
#include "Mp7JrsSummarySegmentType.h"
#include "Mp7JrsSummarySegmentGroupType.h"
#include "Mp7JrsSummarySegmentGroupType_LocalType.h"
#include "Mp7JrsSummarySegmentGroupType_LocalType0.h"

#include "Mp7JrsSummarySegmentGroupType_Name_CollectionType.h"
#include "Mp7JrsSummarySegmentGroupType_Caption_CollectionType.h"
#include "Mp7JrstextualBaseType.h"


void IMp7JrsSummarySegmentGroupType::AddSegment(Mp7JrsSummarySegmentPtr segment, Mp7JrsClientID client) {
	if (GetSummarySegmentGroupType_LocalType()==NULL) 
		SetSummarySegmentGroupType_LocalType(CreateSummarySegmentGroupType_CollectionType,client);
	Mp7JrsSummarySegmentGroupType_LocalPtr segLocal = CreateSummarySegmentGroupType_LocalType;
	segLocal->SetSummarySegment(segment,client);
	GetSummarySegmentGroupType_LocalType()->addElement(segLocal,client);
}

int IMp7JrsSummarySegmentGroupType::GetNrSegments() {
	if (GetSummarySegmentGroupType_LocalType()==NULL) return 0;
	else return GetSummarySegmentGroupType_LocalType()->size();

}

void IMp7JrsSummarySegmentGroupType::AddSegmentGroup(Mp7JrsSummarySegmentGroupPtr segment, Mp7JrsClientID client) {
	if (GetSummarySegmentGroupType_LocalType0()==NULL) 
		SetSummarySegmentGroupType_LocalType0(CreateSummarySegmentGroupType_CollectionType0,client);
	Mp7JrsSummarySegmentGroupType_Local0Ptr grpLocal = CreateSummarySegmentGroupType_LocalType0;
	grpLocal->SetSummarySegmentGroup(segment,client);
	GetSummarySegmentGroupType_LocalType0()->addElement(grpLocal,client);
}


int IMp7JrsSummarySegmentGroupType::GetNrSegmentGroups() {
	if (GetSummarySegmentGroupType_LocalType0()==NULL) return 0;
	else return GetSummarySegmentGroupType_LocalType0()->size();
}


void IMp7JrsSummarySegmentGroupType::AddName(XMLCh* name, Mp7JrsClientID client) {
	Mp7JrsTextualPtr text = CreateTextualType;
	text->SetContent(name,client);
	GetName()->addElement(text);
}

void IMp7JrsSummarySegmentGroupType::AddCaption(XMLCh* caption, Mp7JrsClientID client) {
	Mp7JrsTextualPtr text = CreateTextualType;
	text->SetContent(caption,client);
	GetCaption()->addElement(text,client);
}

////

void IMp7JrsSummarySegmentGroupType::Setfidelity(float fid, Mp7JrsClientID client) {
	Getfidelity()->SetContent(fid,client);
}

