
public:

	/** Get the begin time.
	  * @return Pointer to begin time.
	  */
	virtual Mp7JrsmediaTimePointPtr GetBeginTime();

	/** Set begin time.
	  *	@param beginTime Begin time to be set (will be copied).
	  */
	virtual void SetBeginTime(Mp7JrsmediaTimePointPtr beginTime, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);

	/** Get the end time.
	  * @return Pointer to end time.
	  */
	virtual Mp7JrsmediaTimePointPtr GetEndTime();

	/** Set end time.
	  *	@param endTime End time to be set (will be copied).
	  */
	virtual void SetEndTime(Mp7JrsmediaTimePointPtr endTime, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT); 

	/** Get begin and end time. */
	virtual void GetTime(Mp7JrsmediaTimePointPtr& beginTime, Mp7JrsmediaTimePointPtr& endTime);

	/** Set begin and end time. The time points will be copied. */
	virtual void SetTime(Mp7JrsmediaTimePointPtr beginTime, Mp7JrsmediaTimePointPtr endTime, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);
