/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _81MP7JRSANALYTICMODELTYPE_FUNCTION_LOCALTYPE_H
#define _81MP7JRSANALYTICMODELTYPE_FUNCTION_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsAnalyticModelType_function_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsAnalyticModelType_function_LocalType<br>
 * Located at: mds-2001.xsd, line 5682<br>
 * Enumerations: <br>
 * described (mapped to XML described) <br>
 * describing (mapped to XML describing) <br>
 */
class MP7JRS_EXPORT Mp7JrsAnalyticModelType_function_LocalType
{
public:
	/** Mp7JrsAnalyticModelType_function_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		described, // Mapped to described
		describing, // Mapped to describing
	};
	

// no includefile for extension defined 
// file Mp7JrsAnalyticModelType_function_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsAnalyticModelType_function_LocalType::Enumeration item);
	static Mp7JrsAnalyticModelType_function_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsAnalyticModelType_function_LocalType_ExtPropDef.h


};
#endif // _81MP7JRSANALYTICMODELTYPE_FUNCTION_LOCALTYPE_H
