
#ifndef MP7JRSCLASS_H
#define MP7JRSCLASS_H

#include "Mp7JrsDefines.h"

// baw: number of types included from inline extension
#define INCLUDED_TYPES 0



//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
// FTT: this is not needed anymore. We generate class ids using GUIDs

#if 0
// Generated ids for all classes
class MP7JRS_EXPORT Mp7JrsClass
{
public:
	enum Id
	{
   		Mp7JrsUnknown = 0,
		IDREFS = 1,
		NMTOKENS = 2,
		ENTITIES = 3,
        space_LocalType = 4,
        AbstractionLevelType = 5,
        AffectiveType = 6,
        AffectiveType_Score_CollectionType = 7,
        AffectiveType_Score_LocalType = 8,
        AgentObjectType = 9,
        AgentType = 10,
        AgentType_Icon_CollectionType = 11,
        AnalyticClipType = 12,
        AnalyticEditedVideoSegmentSpatioTemporalDecompositionType = 13,
        AnalyticEditedVideoSegmentSpatioTemporalDecompositionType_CollectionType = 14,
        AnalyticEditedVideoSegmentSpatioTemporalDecompositionType_LocalType = 15,
        AnalyticEditedVideoSegmentType = 16,
        AnalyticEditedVideoSegmentType_AnalyticEditionAreaDecomposition_CollectionType = 17,
        AnalyticEditedVideoSegmentType_type_LocalType = 18,
        AnalyticEditedVideoType = 19,
        AnalyticModelType = 20,
        AnalyticModelType_CollectionType = 21,
        AnalyticModelType_function_LocalType = 22,
        AnalyticModelType_Label_LocalType = 23,
        AnalyticModelType_LocalType = 24,
        AnalyticModelType_Semantics_LocalType = 25,
        AnalyticTransitionType = 26,
        AudioDSType = 27,
        AudioDType = 28,
        AudioFundamentalFrequencyType = 29,
        AudioHarmonicityType = 30,
        AudioLLDScalarType = 31,
        AudioLLDScalarType_SeriesOfScalar_CollectionType = 32,
        AudioLLDScalarType_SeriesOfScalar_LocalType = 33,
        AudioLLDVectorType = 34,
        AudioLLDVectorType_SeriesOfVector_CollectionType = 35,
        AudioLLDVectorType_SeriesOfVector_LocalType = 36,
        AudioPowerType = 37,
        AudioSegmentMediaSourceDecompositionType = 38,
        AudioSegmentMediaSourceDecompositionType_CollectionType = 39,
        AudioSegmentMediaSourceDecompositionType_LocalType = 40,
        AudioSegmentTemporalDecompositionType = 41,
        AudioSegmentTemporalDecompositionType_CollectionType = 42,
        AudioSegmentTemporalDecompositionType_LocalType = 43,
        AudioSegmentType = 44,
        AudioSegmentType_CollectionType = 45,
        AudioSegmentType_CollectionType0 = 46,
        AudioSegmentType_LocalType = 47,
        AudioSegmentType_LocalType0 = 48,
        AudioSignatureType = 49,
        audioSpectrumAttributeGrp_octaveResolution_LocalType = 50,
        AudioSpectrumBasisType = 51,
        AudioSpectrumCentroidType = 52,
        AudioSpectrumEnvelopeType = 53,
        AudioSpectrumFlatnessType = 54,
        AudioSpectrumProjectionType = 55,
        AudioSpectrumSpreadType = 56,
        AudioSummaryComponentType = 57,
        AudioSummaryComponentType_Title_CollectionType = 58,
        AudioType = 59,
        AudioVisualRegionMediaSourceDecompositionType = 60,
        AudioVisualRegionMediaSourceDecompositionType_CollectionType = 61,
        AudioVisualRegionMediaSourceDecompositionType_LocalType = 62,
        AudioVisualRegionSpatialDecompositionType = 63,
        AudioVisualRegionSpatialDecompositionType_CollectionType = 64,
        AudioVisualRegionSpatialDecompositionType_LocalType = 65,
        AudioVisualRegionSpatioTemporalDecompositionType = 66,
        AudioVisualRegionSpatioTemporalDecompositionType_CollectionType = 67,
        AudioVisualRegionSpatioTemporalDecompositionType_LocalType = 68,
        AudioVisualRegionTemporalDecompositionType = 69,
        AudioVisualRegionTemporalDecompositionType_CollectionType = 70,
        AudioVisualRegionTemporalDecompositionType_LocalType = 71,
        AudioVisualRegionType = 72,
        AudioVisualRegionType_CollectionType = 73,
        AudioVisualRegionType_LocalType = 74,
        AudioVisualSegmentMediaSourceDecompositionType = 75,
        AudioVisualSegmentMediaSourceDecompositionType_CollectionType = 76,
        AudioVisualSegmentMediaSourceDecompositionType_LocalType = 77,
        AudioVisualSegmentSpatialDecompositionType = 78,
        AudioVisualSegmentSpatialDecompositionType_CollectionType = 79,
        AudioVisualSegmentSpatialDecompositionType_LocalType = 80,
        AudioVisualSegmentSpatioTemporalDecompositionType = 81,
        AudioVisualSegmentSpatioTemporalDecompositionType_CollectionType = 82,
        AudioVisualSegmentSpatioTemporalDecompositionType_LocalType = 83,
        AudioVisualSegmentTemporalDecompositionType = 84,
        AudioVisualSegmentTemporalDecompositionType_CollectionType = 85,
        AudioVisualSegmentTemporalDecompositionType_LocalType = 86,
        AudioVisualSegmentType = 87,
        AudioVisualSegmentType_CollectionType = 88,
        AudioVisualSegmentType_LocalType = 89,
        AudioVisualType = 90,
        AudioWaveformType = 91,
        auxiliaryLanguageType = 92,
        auxiliaryLanguageType_LocalType = 93,
        auxiliaryLanguageType_LocalType0 = 94,
        auxiliaryLanguageType_LocalType1 = 95,
        AvailabilityType = 96,
        AvailabilityType_AvailabilityPeriod_CollectionType = 97,
        AvailabilityType_AvailabilityPeriod_LocalType = 98,
        AvailabilityType_AvailabilityPeriod_type_CollectionType = 99,
        AvailabilityType_AvailabilityPeriod_type_LocalType = 100,
        AvailabilityType_AvailabilityPeriod_type_LocalType0 = 101,
        AvailabilityType_AvailabilityPeriod_type_LocalType1 = 102,
        AvailabilityType_AvailabilityPeriod_type_LocalType2 = 103,
        basicDurationType = 104,
        basicTimePointType = 105,
        beatType = 106,
        BinomialDistributionType = 107,
        BoxListType = 108,
        BrowsingPreferencesType = 109,
        BrowsingPreferencesType_PreferenceCondition_CollectionType = 110,
        BrowsingPreferencesType_PreferenceCondition_LocalType = 111,
        BrowsingPreferencesType_SummaryPreferences_CollectionType = 112,
        CameraMotionSegmentType = 113,
        CameraMotionType = 114,
        CameraMotionType_Segment_CollectionType = 115,
        characterSetCode = 116,
        ClassificationModelType = 117,
        ClassificationPreferencesType = 118,
        ClassificationPreferencesType_CaptionLanguage_CollectionType = 119,
        ClassificationPreferencesType_CaptionLanguage_LocalType = 120,
        ClassificationPreferencesType_Country_CollectionType = 121,
        ClassificationPreferencesType_Country_LocalType = 122,
        ClassificationPreferencesType_DatePeriod_CollectionType = 123,
        ClassificationPreferencesType_DatePeriod_LocalType = 124,
        ClassificationPreferencesType_Form_CollectionType = 125,
        ClassificationPreferencesType_Form_LocalType = 126,
        ClassificationPreferencesType_Genre_CollectionType = 127,
        ClassificationPreferencesType_Genre_LocalType = 128,
        ClassificationPreferencesType_Language_CollectionType = 129,
        ClassificationPreferencesType_Language_LocalType = 130,
        ClassificationPreferencesType_LanguageFormat_CollectionType = 131,
        ClassificationPreferencesType_LanguageFormat_LocalType = 132,
        ClassificationPreferencesType_ParentalGuidance_CollectionType = 133,
        ClassificationPreferencesType_ParentalGuidance_LocalType = 134,
        ClassificationPreferencesType_Review_CollectionType = 135,
        ClassificationPreferencesType_Review_LocalType = 136,
        ClassificationPreferencesType_Subject_CollectionType = 137,
        ClassificationPreferencesType_Subject_LocalType = 138,
        ClassificationSchemeAliasType = 139,
        ClassificationSchemeBaseType = 140,
        ClassificationSchemeBaseType_domain_CollectionType = 141,
        ClassificationSchemeBaseType_Import_CollectionType = 142,
        ClassificationSchemeDescriptionType = 143,
        ClassificationSchemeDescriptionType_ClassificationScheme_CollectionType = 144,
        ClassificationSchemeDescriptionType_ClassificationSchemeBase_CollectionType = 145,
        ClassificationSchemeType = 146,
        ClassificationSchemeType_Term_CollectionType = 147,
        ClassificationType = 148,
        ClassificationType_CaptionLanguage_CollectionType = 149,
        ClassificationType_CaptionLanguage_LocalType = 150,
        ClassificationType_Genre_CollectionType = 151,
        ClassificationType_Genre_LocalType = 152,
        ClassificationType_Genre_type_LocalType = 153,
        ClassificationType_Language_CollectionType = 154,
        ClassificationType_MediaReview_CollectionType = 155,
        ClassificationType_ParentalGuidance_CollectionType = 156,
        ClassificationType_Purpose_CollectionType = 157,
        ClassificationType_Release_LocalType = 158,
        ClassificationType_Release_Region_CollectionType = 159,
        ClassificationType_SignLanguage_CollectionType = 160,
        ClassificationType_SignLanguage_LocalType = 161,
        ClassificationType_Target_Age_LocalType = 162,
        ClassificationType_Target_LocalType = 163,
        ClassificationType_Target_Market_CollectionType = 164,
        ClassificationType_Target_Region_CollectionType = 165,
        ClusterClassificationModelType = 166,
        ClusterClassificationModelType_CollectionType = 167,
        ClusterClassificationModelType_LocalType = 168,
        ClusterModelType = 169,
        ClusterModelType_CollectionType = 170,
        ClusterModelType_CollectionType0 = 171,
        ClusterModelType_LocalType = 172,
        ClusterModelType_LocalType0 = 173,
        CollectionModelType = 174,
        CollectionModelType_CollectionType = 175,
        CollectionModelType_LocalType = 176,
        CollectionType = 177,
        CollectionType_TextAnnotation_CollectionType = 178,
        ColorLayoutType = 179,
        ColorLayoutType_CbACCoeff14_CollectionType = 180,
        ColorLayoutType_CbACCoeff14_LocalType = 181,
        ColorLayoutType_CbACCoeff2_CollectionType = 182,
        ColorLayoutType_CbACCoeff2_LocalType = 183,
        ColorLayoutType_CbACCoeff20_CollectionType = 184,
        ColorLayoutType_CbACCoeff20_LocalType = 185,
        ColorLayoutType_CbACCoeff27_CollectionType = 186,
        ColorLayoutType_CbACCoeff27_LocalType = 187,
        ColorLayoutType_CbACCoeff5_CollectionType = 188,
        ColorLayoutType_CbACCoeff5_LocalType = 189,
        ColorLayoutType_CbACCoeff63_CollectionType = 190,
        ColorLayoutType_CbACCoeff63_LocalType = 191,
        ColorLayoutType_CbACCoeff9_CollectionType = 192,
        ColorLayoutType_CbACCoeff9_LocalType = 193,
        ColorLayoutType_CrACCoeff14_CollectionType = 194,
        ColorLayoutType_CrACCoeff14_LocalType = 195,
        ColorLayoutType_CrACCoeff2_CollectionType = 196,
        ColorLayoutType_CrACCoeff2_LocalType = 197,
        ColorLayoutType_CrACCoeff20_CollectionType = 198,
        ColorLayoutType_CrACCoeff20_LocalType = 199,
        ColorLayoutType_CrACCoeff27_CollectionType = 200,
        ColorLayoutType_CrACCoeff27_LocalType = 201,
        ColorLayoutType_CrACCoeff5_CollectionType = 202,
        ColorLayoutType_CrACCoeff5_LocalType = 203,
        ColorLayoutType_CrACCoeff63_CollectionType = 204,
        ColorLayoutType_CrACCoeff63_LocalType = 205,
        ColorLayoutType_CrACCoeff9_CollectionType = 206,
        ColorLayoutType_CrACCoeff9_LocalType = 207,
        ColorLayoutType_YACCoeff14_CollectionType = 208,
        ColorLayoutType_YACCoeff14_LocalType = 209,
        ColorLayoutType_YACCoeff2_CollectionType = 210,
        ColorLayoutType_YACCoeff2_LocalType = 211,
        ColorLayoutType_YACCoeff20_CollectionType = 212,
        ColorLayoutType_YACCoeff20_LocalType = 213,
        ColorLayoutType_YACCoeff27_CollectionType = 214,
        ColorLayoutType_YACCoeff27_LocalType = 215,
        ColorLayoutType_YACCoeff5_CollectionType = 216,
        ColorLayoutType_YACCoeff5_LocalType = 217,
        ColorLayoutType_YACCoeff63_CollectionType = 218,
        ColorLayoutType_YACCoeff63_LocalType = 219,
        ColorLayoutType_YACCoeff9_CollectionType = 220,
        ColorLayoutType_YACCoeff9_LocalType = 221,
        ColorQuantizationType = 222,
        ColorQuantizationType_CollectionType = 223,
        ColorQuantizationType_Component_LocalType = 224,
        ColorQuantizationType_LocalType = 225,
        ColorSamplingType = 226,
        ColorSamplingType_Field_CollectionType = 227,
        ColorSamplingType_Field_Component_CollectionType = 228,
        ColorSamplingType_Field_Component_LocalType = 229,
        ColorSamplingType_Field_Component_Offset_LocalType = 230,
        ColorSamplingType_Field_Component_Period_LocalType = 231,
        ColorSamplingType_Field_LocalType = 232,
        ColorSamplingType_Lattice_LocalType = 233,
        ColorSpaceType = 234,
        ColorSpaceType_ColorTransMat_CollectionType = 235,
        ColorSpaceType_ColorTransMat_LocalType = 236,
        ColorSpaceType_type_LocalType = 237,
        ColorStructureType = 238,
        ColorStructureType_Values_CollectionType = 239,
        ColorStructureType_Values_LocalType = 240,
        CompleteDescriptionType = 241,
        CompleteDescriptionType_OrderingKey_CollectionType = 242,
        CompleteDescriptionType_Relationships_CollectionType = 243,
        CompositionShotEditingTemporalDecompositionType = 244,
        CompositionShotEditingTemporalDecompositionType_CollectionType = 245,
        CompositionShotEditingTemporalDecompositionType_LocalType = 246,
        CompositionShotType = 247,
        CompositionShotType_AnalyticEditingTemporalDecomposition_CollectionType = 248,
        CompositionTransitionType = 249,
        CompositionTransitionType_compositionType_LocalType = 250,
        CompositionTransitionType_compositionType_LocalType0 = 251,
        CompositionTransitionType_compositionType_LocalType1 = 252,
        CompositionTransitionType_compositionType_LocalType2 = 253,
        ConceptCollectionType = 254,
        ConceptCollectionType_CollectionType = 255,
        ConceptCollectionType_CollectionType0 = 256,
        ConceptCollectionType_LocalType = 257,
        ConceptCollectionType_LocalType0 = 258,
        ConceptType = 259,
        ConfusionCountType = 260,
        ContentAbstractionType = 261,
        ContentCollectionType = 262,
        ContentCollectionType_CollectionType = 263,
        ContentCollectionType_CollectionType0 = 264,
        ContentCollectionType_CollectionType1 = 265,
        ContentCollectionType_LocalType = 266,
        ContentCollectionType_LocalType0 = 267,
        ContentCollectionType_LocalType1 = 268,
        ContentDescriptionType = 269,
        ContentDescriptionType_Affective_CollectionType = 270,
        ContentEntityType = 271,
        ContentEntityType_MultimediaContent_CollectionType = 272,
        ContentManagementType = 273,
        ContinuousDistributionType = 274,
        ContinuousHiddenMarkovModelType = 275,
        ContinuousHiddenMarkovModelType_DescriptorModel_CollectionType = 276,
        ContinuousHiddenMarkovModelType_ObservationDistribution_CollectionType = 277,
        ContinuousUniformDistributionType = 278,
        ContourShapeType = 279,
        ContourShapeType_Peak_CollectionType = 280,
        ContourShapeType_Peak_LocalType = 281,
        contourType = 282,
        contourType_LocalType = 283,
        ControlledTermUseType = 284,
        countryCode = 285,
        CreationDescriptionType = 286,
        CreationDescriptionType_CreationInformation_CollectionType = 287,
        CreationInformationType = 288,
        CreationInformationType_RelatedMaterial_CollectionType = 289,
        CreationPreferencesType = 290,
        CreationPreferencesType_Creator_CollectionType = 291,
        CreationPreferencesType_Creator_LocalType = 292,
        CreationPreferencesType_DatePeriod_CollectionType = 293,
        CreationPreferencesType_DatePeriod_LocalType = 294,
        CreationPreferencesType_Keyword_CollectionType = 295,
        CreationPreferencesType_Keyword_LocalType = 296,
        CreationPreferencesType_Location_CollectionType = 297,
        CreationPreferencesType_Location_LocalType = 298,
        CreationPreferencesType_Title_CollectionType = 299,
        CreationPreferencesType_Title_LocalType = 300,
        CreationPreferencesType_Tool_CollectionType = 301,
        CreationPreferencesType_Tool_LocalType = 302,
        CreationToolType = 303,
        CreationToolType_Setting_CollectionType = 304,
        CreationToolType_Setting_LocalType = 305,
        CreationType = 306,
        CreationType_Abstract_CollectionType = 307,
        CreationType_CopyrightString_CollectionType = 308,
        CreationType_CreationCoordinates_CollectionType = 309,
        CreationType_CreationCoordinates_LocalType = 310,
        CreationType_CreationTool_CollectionType = 311,
        CreationType_Creator_CollectionType = 312,
        CreationType_Title_CollectionType = 313,
        CreatorType = 314,
        CreatorType_Character_CollectionType = 315,
        CreatorType_Instrument_CollectionType = 316,
        currencyCode = 317,
        curvatureType = 318,
        curvatureType_CollectionType = 319,
        degreeAccidentalType = 320,
        degreeNoteType = 321,
        dependencyOperatorType = 322,
        dependencyOperatorType_LocalType = 323,
        DependencyStructurePhraseType = 324,
        DependencyStructurePhraseType_CollectionType = 325,
        DependencyStructurePhraseType_CollectionType0 = 326,
        DependencyStructurePhraseType_LocalType = 327,
        DependencyStructurePhraseType_LocalType0 = 328,
        DependencyStructurePhraseType_operator_LocalType = 329,
        DependencyStructurePhraseType_operator_LocalType0 = 330,
        DependencyStructurePhraseType_operator_LocalType1 = 331,
        DependencyStructurePhraseType_operator_LocalType2 = 332,
        DependencyStructureType = 333,
        DependencyStructureType_Sentence_CollectionType = 334,
        DescriptionMetadataType = 335,
        DescriptionMetadataType_Creator_CollectionType = 336,
        DescriptionMetadataType_Instrument_CollectionType = 337,
        DescriptionMetadataType_PrivateIdentifier_CollectionType = 338,
        DescriptionMetadataType_PublicIdentifier_CollectionType = 339,
        DescriptorCollectionType = 340,
        DescriptorCollectionType_CollectionType = 341,
        DescriptorCollectionType_Descriptor_CollectionType = 342,
        DescriptorCollectionType_LocalType = 343,
        DescriptorModelType = 344,
        DescriptorModelType_Field_CollectionType = 345,
        dim_LocalType = 346,
        DiscreteDistributionType = 347,
        DiscreteHiddenMarkovModelType = 348,
        DiscreteHiddenMarkovModelType_CollectionType = 349,
        DiscreteHiddenMarkovModelType_LocalType = 350,
        DiscreteHiddenMarkovModelType_Observation_CollectionType = 351,
        DiscreteUniformDistributionType = 352,
        DisseminationType = 353,
        DominantColorType = 354,
        DominantColorType_Value_CollectionType = 355,
        DominantColorType_Value_ColorVariance_CollectionType = 356,
        DominantColorType_Value_ColorVariance_LocalType = 357,
        DominantColorType_Value_Index_CollectionType = 358,
        DominantColorType_Value_Index_LocalType = 359,
        DominantColorType_Value_LocalType = 360,
        DoubleDiagonalMatrixType = 361,
        DoubleMatrixType = 362,
        DoublePullbackDefinitionType = 363,
        DoublePullbackDefinitionType_MorphismGraph_CollectionType = 364,
        DoublePullbackDefinitionType_RuleGraph_CollectionType = 365,
        DoublePushoutDefinitionType = 366,
        DoublePushoutDefinitionType_MorphismGraph_CollectionType = 367,
        doubleVector = 368,
        DSType = 369,
        DSType_Header_CollectionType = 370,
        DType = 371,
        durationType = 372,
        EdgeHistogramType = 373,
        EdgeHistogramType_BinCounts_CollectionType = 374,
        EdgeHistogramType_BinCounts_LocalType = 375,
        EditedMovingRegionType = 376,
        EditedVideoEditingTemporalDecompositionType = 377,
        EditedVideoEditingTemporalDecompositionType_CollectionType = 378,
        EditedVideoEditingTemporalDecompositionType_LocalType = 379,
        EditedVideoType = 380,
        EditedVideoType_AnalyticEditingTemporalDecomposition_CollectionType = 381,
        ElectronicAddressType = 382,
        ElectronicAddressType_Email_CollectionType = 383,
        ElectronicAddressType_Fax_CollectionType = 384,
        ElectronicAddressType_Telephone_CollectionType = 385,
        ElectronicAddressType_Url_CollectionType = 386,
        EventType = 387,
        EventType_CollectionType = 388,
        EventType_LocalType = 389,
        EventType_SemanticPlace_CollectionType = 390,
        EventType_SemanticTime_CollectionType = 391,
        ExponentialDistributionType = 392,
        ExtendedLanguageType = 393,
        ExtendedLanguageType_type_LocalType = 394,
        ExtentType = 395,
        FaceRecognitionType = 396,
        FaceRecognitionType_Feature_CollectionType = 397,
        FaceRecognitionType_Feature_LocalType = 398,
        FigureTrajectoryType = 399,
        FigureTrajectoryType_type_LocalType = 400,
        FigureTrajectoryType_Vertex_CollectionType = 401,
        Filter1DType = 402,
        Filter2DType = 403,
        FilteringAndSearchPreferencesType = 404,
        FilteringAndSearchPreferencesType_ClassificationPreferences_CollectionType = 405,
        FilteringAndSearchPreferencesType_CreationPreferences_CollectionType = 406,
        FilteringAndSearchPreferencesType_FilteringAndSearchPreferences_CollectionType = 407,
        FilteringAndSearchPreferencesType_PreferenceCondition_CollectionType = 408,
        FilteringAndSearchPreferencesType_SourcePreferences_CollectionType = 409,
        FilteringType = 410,
        FilterSeparableType = 411,
        FilterSeparableType_Filter1D_CollectionType = 412,
        FilterType = 413,
        FinancialType = 414,
        FinancialType_AccountItem_CollectionType = 415,
        FinancialType_AccountItem_LocalType = 416,
        FiniteStateModelType = 417,
        FloatDiagonalMatrixType = 418,
        FloatMatrixType = 419,
        floatVector = 420,
        FocusOfExpansionType = 421,
        FractionalPresenceType = 422,
        FrequencyTreeType = 423,
        FrequencyTreeType_CollectionType = 424,
        FrequencyTreeType_LocalType = 425,
        FrequencyViewType = 426,
        GammaDistributionType = 427,
        GaussianDistributionType = 428,
        GaussianMixtureModelType = 429,
        GaussianMixtureModelType_CollectionType = 430,
        GaussianMixtureModelType_LocalType = 431,
        GeneralizedGaussianDistributionType = 432,
        GeographicPointType = 433,
        GeographicPointType_latitude_LocalType = 434,
        GeographicPointType_longitude_LocalType = 435,
        GeometricDistributionType = 436,
        GlobalTransitionType = 437,
        GoFGoPColorType = 438,
        GoFGoPColorType_aggregation_LocalType = 439,
        GraphicalClassificationSchemeType = 440,
        GraphicalClassificationSchemeType_GraphicalTerm_CollectionType = 441,
        GraphicalRuleDefinitionType = 442,
        GraphicalTermDefinitionType = 443,
        GraphType = 444,
        GraphType_CollectionType = 445,
        GraphType_LocalType = 446,
        GraphType_Node_LocalType = 447,
        GridLayoutType = 448,
        GridLayoutType_Descriptor_CollectionType = 449,
        GridLayoutType_descriptorMask_LocalType = 450,
        HandWritingRecogInformationType = 451,
        HandWritingRecogInformationType_InkLexicon_Entry_CollectionType = 452,
        HandWritingRecogInformationType_InkLexicon_Entry_LocalType = 453,
        HandWritingRecogInformationType_InkLexicon_LocalType = 454,
        HandWritingRecogInformationType_Recognizer_LocalType = 455,
        HandWritingRecogResultType = 456,
        HandWritingRecogResultType_Result_CollectionType = 457,
        HandWritingRecogResultType_Result_LocalType = 458,
        HarmonicInstrumentTimbreType = 459,
        HarmonicSpectralCentroidType = 460,
        HarmonicSpectralDeviationType = 461,
        HarmonicSpectralSpreadType = 462,
        HarmonicSpectralVariationType = 463,
        HeaderType = 464,
        HierarchicalSummaryType = 465,
        HierarchicalSummaryType_CollectionType = 466,
        HierarchicalSummaryType_components_CollectionType = 467,
        HierarchicalSummaryType_components_LocalType = 468,
        HierarchicalSummaryType_hierarchy_LocalType = 469,
        HierarchicalSummaryType_LocalType = 470,
        HistogramProbabilityType = 471,
        HomogeneousTextureType = 472,
        HyperGeometricDistributionType = 473,
        ImageLocatorType = 474,
        ImageLocatorType_BytePosition_LocalType = 475,
        ImageTextType = 476,
        ImageTextType_textType_LocalType = 477,
        ImageTextType_textType_LocalType0 = 478,
        ImageTextType_textType_LocalType1 = 479,
        ImageTextType_textType_LocalType2 = 480,
        ImageType = 481,
        IncrDurationType = 482,
        InkContentType = 483,
        InkMediaInformationType = 484,
        InkMediaInformationType_Brush_CollectionType = 485,
        InkMediaInformationType_Brush_LocalType = 486,
        InkMediaInformationType_Handedness_LocalType = 487,
        InkMediaInformationType_InputDevice_LocalType = 488,
        InkMediaInformationType_OverlaidMedia_CollectionType = 489,
        InkMediaInformationType_OverlaidMedia_LocalType = 490,
        InkMediaInformationType_Param_CollectionType = 491,
        InkMediaInformationType_Param_LocalType = 492,
        InkMediaInformationType_Style_LocalType = 493,
        InkMediaInformationType_Style_LocalType0 = 494,
        InkMediaInformationType_Style_LocalType1 = 495,
        InkMediaInformationType_Style_LocalType2 = 496,
        InkMediaInformationType_WritingFieldLayout_fieldIDList_CollectionType = 497,
        InkMediaInformationType_WritingFieldLayout_LocalType = 498,
        InkSegmentSpatialDecompositionType = 499,
        InkSegmentSpatialDecompositionType_CollectionType = 500,
        InkSegmentSpatialDecompositionType_LocalType = 501,
        InkSegmentTemporalDecompositionType = 502,
        InkSegmentTemporalDecompositionType_CollectionType = 503,
        InkSegmentTemporalDecompositionType_LocalType = 504,
        InkSegmentType = 505,
        InkSegmentType_CollectionType = 506,
        InkSegmentType_CollectionType0 = 507,
        InkSegmentType_CollectionType1 = 508,
        InkSegmentType_LocalType = 509,
        InkSegmentType_LocalType0 = 510,
        InkSegmentType_LocalType1 = 511,
        InkSegmentType_type_LocalType = 512,
        InlineMediaType = 513,
        InlineTermDefinitionType = 514,
        InlineTermDefinitionType_Definition_CollectionType = 515,
        InlineTermDefinitionType_Name_CollectionType = 516,
        InlineTermDefinitionType_Name_LocalType = 517,
        InlineTermDefinitionType_Term_CollectionType = 518,
        InlineTermDefinitionType_Term_LocalType = 519,
        InstrumentTimbreType = 520,
        IntegerDiagonalMatrixType = 521,
        IntegerMatrixType = 522,
        integerVector = 523,
        InternalTransitionType = 524,
        IntraCompositionShotEditingTemporalDecompositionType = 525,
        IntraCompositionShotEditingTemporalDecompositionType_CollectionType = 526,
        IntraCompositionShotEditingTemporalDecompositionType_LocalType = 527,
        IntraCompositionShotType = 528,
        IntraCompositionShotType_AnalyticEditingTemporalDecomposition_CollectionType = 529,
        IrregularVisualTimeSeriesType = 530,
        IrregularVisualTimeSeriesType_CollectionType = 531,
        IrregularVisualTimeSeriesType_LocalType = 532,
        KeyType = 533,
        KeyType_KeyNote_LocalType = 534,
        KeywordAnnotationType = 535,
        KeywordAnnotationType_Keyword_CollectionType = 536,
        KeywordAnnotationType_Keyword_LocalType = 537,
        KeywordAnnotationType_Keyword_type_LocalType = 538,
        LexiconType = 539,
        listOfPositiveIntegerForDim = 540,
        LogAttackTimeType = 541,
        LognormalDistributionType = 542,
        MaskType = 543,
        MatchingHintType = 544,
        MatchingHintType_Hint_CollectionType = 545,
        MatchingHintType_Hint_LocalType = 546,
        MediaAgentType = 547,
        MediaDescriptionType = 548,
        MediaDescriptionType_MediaInformation_CollectionType = 549,
        mediaDurationType = 550,
        MediaFormatType = 551,
        MediaFormatType_AudioCoding_AudioChannels_LocalType = 552,
        MediaFormatType_AudioCoding_Emphasis_LocalType = 553,
        MediaFormatType_AudioCoding_Emphasis_LocalType0 = 554,
        MediaFormatType_AudioCoding_Emphasis_LocalType1 = 555,
        MediaFormatType_AudioCoding_Emphasis_LocalType2 = 556,
        MediaFormatType_AudioCoding_LocalType = 557,
        MediaFormatType_AudioCoding_Sample_LocalType = 558,
        MediaFormatType_BitRate_LocalType = 559,
        MediaFormatType_ScalableCoding_LocalType = 560,
        MediaFormatType_ScalableCoding_LocalType0 = 561,
        MediaFormatType_ScalableCoding_LocalType1 = 562,
        MediaFormatType_ScalableCoding_LocalType2 = 563,
        MediaFormatType_VisualCoding_Format_colorDomain_LocalType = 564,
        MediaFormatType_VisualCoding_Format_colorDomain_LocalType0 = 565,
        MediaFormatType_VisualCoding_Format_colorDomain_LocalType1 = 566,
        MediaFormatType_VisualCoding_Format_colorDomain_LocalType2 = 567,
        MediaFormatType_VisualCoding_Format_LocalType = 568,
        MediaFormatType_VisualCoding_Frame_LocalType = 569,
        MediaFormatType_VisualCoding_Frame_structure_LocalType = 570,
        MediaFormatType_VisualCoding_LocalType = 571,
        MediaFormatType_VisualCoding_Pixel_LocalType = 572,
        MediaIdentificationType = 573,
        MediaIdentificationType_AudioDomain_CollectionType = 574,
        MediaIdentificationType_ImageDomain_CollectionType = 575,
        MediaIdentificationType_VideoDomain_CollectionType = 576,
        MediaIncrDurationType = 577,
        MediaInformationType = 578,
        MediaInformationType_MediaProfile_CollectionType = 579,
        MediaInstanceType = 580,
        MediaLocatorType = 581,
        MediaProfileType = 582,
        MediaProfileType_ComponentMediaProfile_CollectionType = 583,
        MediaProfileType_MediaInstance_CollectionType = 584,
        MediaQualityType = 585,
        MediaQualityType_PerceptibleDefects_AudioDefects_CollectionType = 586,
        MediaQualityType_PerceptibleDefects_LocalType = 587,
        MediaQualityType_PerceptibleDefects_VisualDefects_CollectionType = 588,
        MediaQualityType_QualityRating_CollectionType = 589,
        MediaQualityType_QualityRating_LocalType = 590,
        MediaQualityType_QualityRating_type_LocalType = 591,
        MediaQualityType_RatingInformationLocator_CollectionType = 592,
        MediaRelIncrTimePointType = 593,
        MediaRelTimePointType = 594,
        MediaReviewType = 595,
        MediaReviewType_FreeTextReview_CollectionType = 596,
        MediaSourceSegmentDecompositionType = 597,
        MediaSpaceMaskType = 598,
        MediaSpaceMaskType_SubInterval_CollectionType = 599,
        MediaSpaceMaskType_SubInterval_LocalType = 600,
        mediaTimeOffsetType = 601,
        mediaTimePointType = 602,
        MediaTimeType = 603,
        MediaTranscodingHintsType = 604,
        MediaTranscodingHintsType_CodingHints_LocalType = 605,
        MediaTranscodingHintsType_MotionHint_LocalType = 606,
        MediaTranscodingHintsType_MotionHint_MotionRange_LocalType = 607,
        MediaTranscodingHintsType_ShapeHint_LocalType = 608,
        MelodyContourType = 609,
        MelodySequenceType = 610,
        MelodySequenceType_NoteArray_CollectionType = 611,
        MelodySequenceType_NoteArray_LocalType = 612,
        MelodySequenceType_NoteArray_Note_CollectionType = 613,
        MelodySequenceType_NoteArray_Note_LocalType = 614,
        MelodySequenceType_StartingNote_LocalType = 615,
        MelodySequenceType_StartingNote_StartingPitch_LocalType = 616,
        MelodySequenceType_StartingNote_StartingPitch_PitchNote_LocalType = 617,
        MelodyType = 618,
        MelodyType_MelodySequence_CollectionType = 619,
        MeterType = 620,
        MeterType_Denominator_LocalType = 621,
        MeterType_Numerator_LocalType = 622,
        mimeType = 623,
        MinusOneToOneMatrixType = 624,
        minusOneToOneType = 625,
        minusOneToOneVector = 626,
        minusOneToOneVector_LocalType = 627,
        MixedCollectionType = 628,
        MixedCollectionType_CollectionType = 629,
        MixedCollectionType_CollectionType0 = 630,
        MixedCollectionType_CollectionType1 = 631,
        MixedCollectionType_CollectionType2 = 632,
        MixedCollectionType_Descriptor_CollectionType = 633,
        MixedCollectionType_LocalType = 634,
        MixedCollectionType_LocalType0 = 635,
        MixedCollectionType_LocalType1 = 636,
        MixedCollectionType_LocalType2 = 637,
        MixtureAmountOfMotionType = 638,
        MixtureCameraMotionSegmentType = 639,
        ModelDescriptionType = 640,
        ModelDescriptionType_Model_CollectionType = 641,
        ModelStateType = 642,
        ModelType = 643,
        MorphismGraphType = 644,
        MosaicType = 645,
        MosaicType_WarpingParam_CollectionType = 646,
        MosaicType_WarpingParam_LocalType = 647,
        MosaicType_WarpingParam_LocalType0 = 648,
        MosaicType_WarpingParam_modelType_LocalType = 649,
        MosaicType_WarpingParam_modelType_LocalType0 = 650,
        MosaicType_WarpingParam_modelType_LocalType1 = 651,
        MosaicType_WarpingParam_modelType_LocalType2 = 652,
        MotionActivityType = 653,
        MotionActivityType_Intensity_LocalType = 654,
        MotionActivityType_SpatialDistributionParams_LocalType = 655,
        MotionActivityType_SpatialLocalizationParams_LocalType = 656,
        MotionActivityType_SpatialLocalizationParams_Vector16_CollectionType = 657,
        MotionActivityType_SpatialLocalizationParams_Vector16_LocalType = 658,
        MotionActivityType_SpatialLocalizationParams_Vector256_CollectionType = 659,
        MotionActivityType_SpatialLocalizationParams_Vector256_LocalType = 660,
        MotionActivityType_SpatialLocalizationParams_Vector4_CollectionType = 661,
        MotionActivityType_SpatialLocalizationParams_Vector4_LocalType = 662,
        MotionActivityType_SpatialLocalizationParams_Vector64_CollectionType = 663,
        MotionActivityType_SpatialLocalizationParams_Vector64_LocalType = 664,
        MotionActivityType_TemporalParams_CollectionType = 665,
        MotionActivityType_TemporalParams_LocalType = 666,
        MotionTrajectoryType = 667,
        MotionTrajectoryType_CoordDef_LocalType = 668,
        MotionTrajectoryType_CoordDef_Repr_LocalType = 669,
        MotionTrajectoryType_CoordDef_units_LocalType = 670,
        MotionTrajectoryType_CoordRef_LocalType = 671,
        MovingRegionMediaSourceDecompositionType = 672,
        MovingRegionMediaSourceDecompositionType_CollectionType = 673,
        MovingRegionMediaSourceDecompositionType_LocalType = 674,
        MovingRegionSpatialDecompositionType = 675,
        MovingRegionSpatialDecompositionType_CollectionType = 676,
        MovingRegionSpatialDecompositionType_LocalType = 677,
        MovingRegionSpatioTemporalDecompositionType = 678,
        MovingRegionSpatioTemporalDecompositionType_CollectionType = 679,
        MovingRegionSpatioTemporalDecompositionType_LocalType = 680,
        MovingRegionTemporalDecompositionType = 681,
        MovingRegionTemporalDecompositionType_CollectionType = 682,
        MovingRegionTemporalDecompositionType_LocalType = 683,
        MovingRegionType = 684,
        MovingRegionType_CollectionType = 685,
        MovingRegionType_CollectionType0 = 686,
        MovingRegionType_LocalType = 687,
        MovingRegionType_LocalType0 = 688,
        Mpeg7_Description_CollectionType = 689,
        Mpeg7_LocalType = 690,
        Mpeg7BaseType = 691,
        Mpeg7Type = 692,
        MultimediaCollectionType = 693,
        MultimediaCollectionType_Collection_CollectionType = 694,
        MultimediaCollectionType_StructuredCollection_CollectionType = 695,
        MultimediaContentType = 696,
        MultimediaSegmentMediaSourceDecompositionType = 697,
        MultimediaSegmentMediaSourceDecompositionType_CollectionType = 698,
        MultimediaSegmentMediaSourceDecompositionType_LocalType = 699,
        MultimediaSegmentType = 700,
        MultimediaSegmentType_MediaSourceDecomposition_CollectionType = 701,
        MultimediaType = 702,
        MultipleViewType = 703,
        MultipleViewType_CollectionType = 704,
        MultipleViewType_LocalType = 705,
        MultiResolutionPyramidType = 706,
        NameComponentType = 707,
        NonDependencyStructurePhraseType = 708,
        NonDependencyStructurePhraseType_CollectionType = 709,
        NonDependencyStructurePhraseType_LocalType = 710,
        NonDependencyStructurePhraseType_synthesis_LocalType = 711,
        NonMixtureAmountOfMotionType = 712,
        NonMixtureAmountOfMotionType_Fixed_LocalType = 713,
        NonMixtureCameraMotionSegmentType = 714,
        nonNegativeReal = 715,
        ObjectType = 716,
        ObjectType_CollectionType = 717,
        ObjectType_LocalType = 718,
        OrderedGroupDataSetMaskType = 719,
        OrderedGroupDataSetMaskType_SubInterval_CollectionType = 720,
        OrderedGroupDataSetMaskType_SubInterval_LocalType = 721,
        OrderingKeyType = 722,
        OrderingKeyType_direction_LocalType = 723,
        OrderingKeyType_Field_CollectionType = 724,
        OrderingKeyType_Field_LocalType = 725,
        OrderingKeyType_Selector_LocalType = 726,
        OrganizationType = 727,
        OrganizationType_CollectionType = 728,
        OrganizationType_LocalType = 729,
        OrganizationType_Name_CollectionType = 730,
        OrganizationType_Name_LocalType = 731,
        OrganizationType_Name_type_LocalType = 732,
        OrganizationType_NameTerm_CollectionType = 733,
        OrganizationType_NameTerm_LocalType = 734,
        OrganizationType_NameTerm_type_LocalType = 735,
        PackageType = 736,
        PackageType_CollectionType = 737,
        PackageType_LocalType = 738,
        PackageType_Scheme_LocalType = 739,
        paddingType = 740,
        paddingType_LocalType = 741,
        paddingType_LocalType0 = 742,
        paddingType_LocalType1 = 743,
        ParameterTrajectoryType = 744,
        ParameterTrajectoryType_motionModel_LocalType = 745,
        ParametricMotionType = 746,
        ParametricMotionType_CoordDef_LocalType = 747,
        ParametricMotionType_CoordRef_LocalType = 748,
        ParametricMotionType_motionModel_LocalType = 749,
        ParametricMotionType_Parameters_LocalType = 750,
        ParentalGuidanceType = 751,
        ParentalGuidanceType_Region_CollectionType = 752,
        PartitionType = 753,
        PartitionType_dim_LocalType = 754,
        PercussiveInstrumentTimbreType = 755,
        PersonGroupType = 756,
        PersonGroupType_CollectionType = 757,
        PersonGroupType_LocalType = 758,
        PersonGroupType_Name_CollectionType = 759,
        PersonGroupType_Name_LocalType = 760,
        PersonGroupType_Name_type_LocalType = 761,
        PersonGroupType_NameTerm_CollectionType = 762,
        PersonGroupType_NameTerm_LocalType = 763,
        PersonGroupType_NameTerm_type_LocalType = 764,
        PersonNameType = 765,
        PersonNameType_CollectionType = 766,
        PersonNameType_LocalType = 767,
        PersonNameType_type_LocalType = 768,
        PersonType = 769,
        PersonType_Affiliation_CollectionType = 770,
        PersonType_Affiliation_LocalType = 771,
        PersonType_Citizenship_CollectionType = 772,
        PersonType_CollectionType = 773,
        PersonType_ElectronicAddress_CollectionType = 774,
        PersonType_LocalType = 775,
        PhoneLexiconIndexType = 776,
        PhoneLexiconType = 777,
        PhoneLexiconType_Token_CollectionType = 778,
        phoneticAlphabetType = 779,
        PhoneticTranscriptionLexiconType = 780,
        PhoneticTranscriptionLexiconType_Token_CollectionType = 781,
        PhoneticTranscriptionLexiconType_Token_LocalType = 782,
        PhoneticTranscriptionLexiconType_Token_phoneticTranscription_CollectionType = 783,
        PhoneType = 784,
        PlaceType = 785,
        PlaceType_AdministrativeUnit_CollectionType = 786,
        PlaceType_AdministrativeUnit_LocalType = 787,
        PlaceType_AstronomicalBody_CollectionType = 788,
        PlaceType_GeographicPosition_LocalType = 789,
        PlaceType_Name_CollectionType = 790,
        PlaceType_NameTerm_CollectionType = 791,
        PlaceType_PostalAddress_AddressLine_CollectionType = 792,
        PlaceType_PostalAddress_LocalType = 793,
        PlaceType_Region_CollectionType = 794,
        PointOfViewType = 795,
        PointOfViewType_Importance_CollectionType = 796,
        PointOfViewType_Importance_LocalType = 797,
        PoissonDistributionType = 798,
        PositionType = 799,
        PreferenceConditionType = 800,
        PreferenceConditionType_Time_CollectionType = 801,
        PreferenceConditionType_Time_LocalType = 802,
        PreferenceConditionType_Time_recurrence_LocalType = 803,
        PreferenceConditionType_Time_recurrence_LocalType0 = 804,
        PreferenceConditionType_Time_recurrence_LocalType1 = 805,
        PreferenceConditionType_Time_recurrence_LocalType2 = 806,
        preferenceValueType = 807,
        ProbabilityClassificationModelType = 808,
        ProbabilityClassificationModelType_ProbabilityModelClass_CollectionType = 809,
        ProbabilityDistributionType = 810,
        ProbabilityDistributionType_Cumulant_CollectionType = 811,
        ProbabilityDistributionType_Cumulant_LocalType = 812,
        ProbabilityDistributionType_Cumulant_Value_LocalType = 813,
        ProbabilityDistributionType_Moment_CollectionType = 814,
        ProbabilityDistributionType_Moment_LocalType = 815,
        ProbabilityDistributionType_Moment_Value_LocalType = 816,
        ProbabilityMatrixType = 817,
        ProbabilityModelClassType = 818,
        ProbabilityModelClassType_CollectionType = 819,
        ProbabilityModelClassType_LocalType = 820,
        ProbabilityModelType = 821,
        probabilityVector = 822,
        probabilityVector_LocalType = 823,
        PullbackDefinitionType = 824,
        PushoutDefinitionType = 825,
        RatingType = 826,
        RatingType_RatingScheme_LocalType = 827,
        RatingType_RatingScheme_style_LocalType = 828,
        ReferenceType = 829,
        regionCode = 830,
        RegionLocatorType = 831,
        RegionLocatorType_Box_CollectionType = 832,
        RegionLocatorType_Box_LocalType = 833,
        RegionLocatorType_CoordRef_LocalType = 834,
        RegionLocatorType_Polygon_CollectionType = 835,
        RegionLocatorType_Polygon_LocalType = 836,
        RegionShapeType = 837,
        RegionShapeType_MagnitudeOfART_CollectionType = 838,
        RegionShapeType_MagnitudeOfART_LocalType = 839,
        RegularVisualTimeSeriesType = 840,
        RegularVisualTimeSeriesType_Descriptor_CollectionType = 841,
        RelatedMaterialType = 842,
        RelationType = 843,
        RelationType_source_CollectionType = 844,
        RelationType_target_CollectionType = 845,
        RelIncrTimePointType = 846,
        RelTimePointType = 847,
        ResolutionViewType = 848,
        RightsType = 849,
        RightsType_RightsID_CollectionType = 850,
        ScalableColorType = 851,
        ScalableColorType_numOfBitplanesDiscarded_LocalType = 852,
        ScalableColorType_numOfCoeff_LocalType = 853,
        ScalableSeriesType = 854,
        ScalableSeriesType_Scaling_CollectionType = 855,
        ScalableSeriesType_Scaling_LocalType = 856,
        scaleType = 857,
        SceneGraphMaskType = 858,
        SceneGraphMaskType_CollectionType = 859,
        SceneGraphMaskType_LocalType = 860,
        SegmentCollectionType = 861,
        SegmentCollectionType_CollectionType = 862,
        SegmentCollectionType_CollectionType0 = 863,
        SegmentCollectionType_LocalType = 864,
        SegmentCollectionType_LocalType0 = 865,
        SegmentDecompositionType = 866,
        SegmentType = 867,
        SegmentType_CollectionType = 868,
        SegmentType_LocalType = 869,
        SegmentType_MatchingHint_CollectionType = 870,
        SegmentType_PointOfView_CollectionType = 871,
        SegmentType_Relation_CollectionType = 872,
        SegmentType_TextAnnotation_CollectionType = 873,
        SegmentType_TextAnnotation_LocalType = 874,
        SegmentType_TextAnnotation_type_LocalType = 875,
        SegmentType_TextAnnotation_type_LocalType0 = 876,
        SegmentType_TextAnnotation_type_LocalType1 = 877,
        SegmentType_TextAnnotation_type_LocalType2 = 878,
        SemanticBagType = 879,
        SemanticBagType_CollectionType = 880,
        SemanticBagType_Graph_CollectionType = 881,
        SemanticBagType_LocalType = 882,
        SemanticBaseType = 883,
        SemanticBaseType_Label_CollectionType = 884,
        SemanticBaseType_MediaOccurrence_AudioDescriptionScheme_CollectionType = 885,
        SemanticBaseType_MediaOccurrence_AudioDescriptor_CollectionType = 886,
        SemanticBaseType_MediaOccurrence_CollectionType = 887,
        SemanticBaseType_MediaOccurrence_LocalType = 888,
        SemanticBaseType_MediaOccurrence_type_LocalType = 889,
        SemanticBaseType_MediaOccurrence_type_LocalType0 = 890,
        SemanticBaseType_MediaOccurrence_type_LocalType1 = 891,
        SemanticBaseType_MediaOccurrence_type_LocalType2 = 892,
        SemanticBaseType_MediaOccurrence_VisualDescriptionScheme_CollectionType = 893,
        SemanticBaseType_MediaOccurrence_VisualDescriptor_CollectionType = 894,
        SemanticBaseType_Property_CollectionType = 895,
        SemanticBaseType_Relation_CollectionType = 896,
        SemanticDescriptionType = 897,
        SemanticDescriptionType_ConceptCollection_CollectionType = 898,
        SemanticDescriptionType_Semantics_CollectionType = 899,
        SemanticPlaceType = 900,
        SemanticPlaceType_SemanticPlaceInterval_CollectionType = 901,
        SemanticPlaceType_SemanticPlaceInterval_LocalType = 902,
        SemanticStateType = 903,
        SemanticStateType_AttributeValuePair_CollectionType = 904,
        SemanticStateType_AttributeValuePair_CollectionType0 = 905,
        SemanticStateType_AttributeValuePair_LocalType = 906,
        SemanticStateType_AttributeValuePair_LocalType0 = 907,
        SemanticTimeType = 908,
        SemanticTimeType_SemanticTimeInterval_CollectionType = 909,
        SemanticTimeType_SemanticTimeInterval_LocalType = 910,
        SemanticType = 911,
        SequentialSummaryType = 912,
        SequentialSummaryType_AudioSummaryComponent_CollectionType = 913,
        SequentialSummaryType_components_CollectionType = 914,
        SequentialSummaryType_components_LocalType = 915,
        SequentialSummaryType_TextualSummaryComponent_CollectionType = 916,
        SequentialSummaryType_VisualSummaryComponent_CollectionType = 917,
        SeriesOfScalarBinaryType = 918,
        SeriesOfScalarType = 919,
        SeriesOfVectorBinaryType = 920,
        SeriesOfVectorType = 921,
        Shape3DType = 922,
        Shape3DType_Spectrum_CollectionType = 923,
        Shape3DType_Spectrum_LocalType = 924,
        ShotEditingTemporalDecompositionType = 925,
        ShotEditingTemporalDecompositionType_CollectionType = 926,
        ShotEditingTemporalDecompositionType_LocalType = 927,
        ShotType = 928,
        ShotType_AnalyticEditingTemporalDecomposition_CollectionType = 929,
        SignalPlaneFractionType = 930,
        SignalPlaneOriginType = 931,
        SignalPlaneOriginType_timeOrigin_LocalType = 932,
        SignalPlaneOriginType_xOrigin_LocalType = 933,
        SignalPlaneOriginType_yOrigin_LocalType = 934,
        SignalPlaneOriginType_zOrigin_LocalType = 935,
        SignalPlaneSampleType = 936,
        SignalPlaneType = 937,
        SignalPlaneType_dim_LocalType = 938,
        SignalType = 939,
        SilenceHeaderType = 940,
        SilenceType = 941,
        SoundClassificationModelType = 942,
        SoundClassificationModelType_SoundModel_CollectionType = 943,
        SoundModelStateHistogramType = 944,
        SoundModelStateHistogramType_CollectionType = 945,
        SoundModelStateHistogramType_LocalType = 946,
        SoundModelStatePathType = 947,
        SoundModelType = 948,
        SourcePreferencesType = 949,
        SourcePreferencesType_DisseminationDate_CollectionType = 950,
        SourcePreferencesType_DisseminationDate_LocalType = 951,
        SourcePreferencesType_DisseminationFormat_CollectionType = 952,
        SourcePreferencesType_DisseminationFormat_LocalType = 953,
        SourcePreferencesType_DisseminationLocation_CollectionType = 954,
        SourcePreferencesType_DisseminationLocation_LocalType = 955,
        SourcePreferencesType_DisseminationSource_CollectionType = 956,
        SourcePreferencesType_DisseminationSource_LocalType = 957,
        SourcePreferencesType_Disseminator_CollectionType = 958,
        SourcePreferencesType_Disseminator_LocalType = 959,
        SourcePreferencesType_MediaFormat_CollectionType = 960,
        SourcePreferencesType_MediaFormat_LocalType = 961,
        SpaceFrequencyGraphType = 962,
        SpaceFrequencyGraphType_CollectionType = 963,
        SpaceFrequencyGraphType_CollectionType0 = 964,
        SpaceFrequencyGraphType_LocalType = 965,
        SpaceFrequencyGraphType_LocalType0 = 966,
        SpaceFrequencyViewType = 967,
        SpaceFrequencyViewType_order_LocalType = 968,
        SpaceResolutionViewType = 969,
        SpaceResolutionViewType_order_LocalType = 970,
        SpaceTreeType = 971,
        SpaceTreeType_CollectionType = 972,
        SpaceTreeType_LocalType = 973,
        SpaceViewType = 974,
        Spatial2DCoordinateSystemType = 975,
        Spatial2DCoordinateSystemType_IntegratedCoordinateSystem_CollectionType = 976,
        Spatial2DCoordinateSystemType_IntegratedCoordinateSystem_LocalType = 977,
        Spatial2DCoordinateSystemType_IntegratedCoordinateSystem_LocalType0 = 978,
        Spatial2DCoordinateSystemType_IntegratedCoordinateSystem_modelType_LocalType = 979,
        Spatial2DCoordinateSystemType_IntegratedCoordinateSystem_MotionParams_CollectionType = 980,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_CollectionType = 981,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_CollectionType0 = 982,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_CoordPoint_LocalType = 983,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_CurrPixel_LocalType = 984,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType = 985,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType0 = 986,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_LocalType1 = 987,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_MappingFunct_CollectionType = 988,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_Pixel_LocalType = 989,
        Spatial2DCoordinateSystemType_LocalCoordinateSystem_SrcPixel_LocalType = 990,
        Spatial2DCoordinateSystemType_Unit_LocalType = 991,
        SpatialMaskType = 992,
        SpatialMaskType_SubRegion_CollectionType = 993,
        SpatialSegmentDecompositionType = 994,
        SpatioTemporalLocatorType = 995,
        SpatioTemporalLocatorType_CollectionType = 996,
        SpatioTemporalLocatorType_CoordRef_LocalType = 997,
        SpatioTemporalLocatorType_LocalType = 998,
        SpatioTemporalMaskType = 999,
        SpatioTemporalMaskType_SubRegion_CollectionType = 1000,
        SpatioTemporalSegmentDecompositionType = 1001,
        SpeakerInfoType = 1002,
        SpeakerInfoType_PhoneIndex_LocalType = 1003,
        SpeakerInfoType_PhoneIndex_PhoneIndexEntry_CollectionType = 1004,
        SpeakerInfoType_PhoneIndex_PhoneIndexEntry_IndexEntry_CollectionType = 1005,
        SpeakerInfoType_PhoneIndex_PhoneIndexEntry_key_CollectionType = 1006,
        SpeakerInfoType_PhoneIndex_PhoneIndexEntry_LocalType = 1007,
        SpeakerInfoType_provenance_LocalType = 1008,
        SpeakerInfoType_WordIndex_LocalType = 1009,
        SpeakerInfoType_WordIndex_WordIndexEntry_CollectionType = 1010,
        SpeakerInfoType_WordIndex_WordIndexEntry_IndexEntry_CollectionType = 1011,
        SpeakerInfoType_WordIndex_WordIndexEntry_key_CollectionType = 1012,
        SpeakerInfoType_WordIndex_WordIndexEntry_LocalType = 1013,
        SpectralCentroidType = 1014,
        SpokenContentHeaderType = 1015,
        SpokenContentHeaderType_CollectionType = 1016,
        SpokenContentHeaderType_ConfusionInfo_CollectionType = 1017,
        SpokenContentHeaderType_LocalType = 1018,
        SpokenContentHeaderType_SpeakerInfo_CollectionType = 1019,
        SpokenContentIndexEntryType = 1020,
        SpokenContentLatticeType = 1021,
        SpokenContentLatticeType_Block_audio_LocalType = 1022,
        SpokenContentLatticeType_Block_CollectionType = 1023,
        SpokenContentLatticeType_Block_LocalType = 1024,
        SpokenContentLatticeType_Block_Node_CollectionType = 1025,
        SpokenContentLatticeType_Block_Node_LocalType = 1026,
        SpokenContentLatticeType_Block_Node_PhoneLink_CollectionType = 1027,
        SpokenContentLatticeType_Block_Node_PhoneLink_LocalType = 1028,
        SpokenContentLatticeType_Block_Node_WordLink_CollectionType = 1029,
        SpokenContentLatticeType_Block_Node_WordLink_LocalType = 1030,
        SpokenContentLinkType = 1031,
        StateTransitionModelType = 1032,
        StateTransitionModelType_State_CollectionType = 1033,
        StillRegion3DSpatialDecompositionType = 1034,
        StillRegion3DSpatialDecompositionType_CollectionType = 1035,
        StillRegion3DSpatialDecompositionType_LocalType = 1036,
        StillRegion3DType = 1037,
        StillRegion3DType_CollectionType = 1038,
        StillRegion3DType_LocalType = 1039,
        StillRegion3DType_SpatialDecomposition_CollectionType = 1040,
        StillRegionSpatialDecompositionType = 1041,
        StillRegionSpatialDecompositionType_CollectionType = 1042,
        StillRegionSpatialDecompositionType_LocalType = 1043,
        StillRegionType = 1044,
        StillRegionType_CollectionType = 1045,
        StillRegionType_LocalType = 1046,
        StillRegionType_SpatialDecomposition_CollectionType = 1047,
        StructuredAnnotationType = 1048,
        StructuredAnnotationType_How_CollectionType = 1049,
        StructuredAnnotationType_WhatAction_CollectionType = 1050,
        StructuredAnnotationType_WhatObject_CollectionType = 1051,
        StructuredAnnotationType_When_CollectionType = 1052,
        StructuredAnnotationType_Where_CollectionType = 1053,
        StructuredAnnotationType_Who_CollectionType = 1054,
        StructuredAnnotationType_Why_CollectionType = 1055,
        StructuredCollectionType = 1056,
        StructuredCollectionType_CollectionType = 1057,
        StructuredCollectionType_CollectionType0 = 1058,
        StructuredCollectionType_CollectionType1 = 1059,
        StructuredCollectionType_CollectionType2 = 1060,
        StructuredCollectionType_LocalType = 1061,
        StructuredCollectionType_LocalType0 = 1062,
        StructuredCollectionType_LocalType1 = 1063,
        StructuredCollectionType_LocalType2 = 1064,
        StructuredCollectionType_Relationships_CollectionType = 1065,
        SummarizationType = 1066,
        SummarizationType_Summary_CollectionType = 1067,
        summaryComponentType = 1068,
        summaryComponentType_LocalType = 1069,
        summaryComponentType_LocalType0 = 1070,
        summaryComponentType_LocalType1 = 1071,
        SummaryDescriptionType = 1072,
        SummaryDescriptionType_Summarization_CollectionType = 1073,
        SummaryPreferencesType = 1074,
        SummaryPreferencesType_SummaryTheme_CollectionType = 1075,
        SummaryPreferencesType_SummaryTheme_LocalType = 1076,
        SummaryPreferencesType_SummaryType_CollectionType = 1077,
        SummaryPreferencesType_SummaryType_LocalType = 1078,
        SummarySegmentGroupType = 1079,
        SummarySegmentGroupType_Caption_CollectionType = 1080,
        SummarySegmentGroupType_CollectionType = 1081,
        SummarySegmentGroupType_CollectionType0 = 1082,
        SummarySegmentGroupType_LocalType = 1083,
        SummarySegmentGroupType_LocalType0 = 1084,
        SummarySegmentGroupType_Name_CollectionType = 1085,
        SummarySegmentType = 1086,
        SummarySegmentType_KeyFrame_CollectionType = 1087,
        SummarySegmentType_KeySound_CollectionType = 1088,
        SummarySegmentType_Name_CollectionType = 1089,
        SummaryThemeListType = 1090,
        SummaryThemeListType_SummaryTheme_CollectionType = 1091,
        SummaryThemeListType_SummaryTheme_LocalType = 1092,
        SummaryType = 1093,
        SummaryType_Name_CollectionType = 1094,
        TemporalCentroidType = 1095,
        TemporalInterpolationType = 1096,
        TemporalInterpolationType_InterpolationFunctions_CollectionType = 1097,
        TemporalInterpolationType_InterpolationFunctions_KeyValue_CollectionType = 1098,
        TemporalInterpolationType_InterpolationFunctions_KeyValue_LocalType = 1099,
        TemporalInterpolationType_InterpolationFunctions_KeyValue_type_LocalType = 1100,
        TemporalInterpolationType_InterpolationFunctions_LocalType = 1101,
        TemporalInterpolationType_KeyTimePoint_LocalType = 1102,
        TemporalInterpolationType_KeyTimePoint_MediaRelIncrTimePoint_CollectionType = 1103,
        TemporalInterpolationType_KeyTimePoint_MediaRelTimePoint_CollectionType = 1104,
        TemporalInterpolationType_KeyTimePoint_MediaTimePoint_CollectionType = 1105,
        TemporalInterpolationType_WholeInterval_LocalType = 1106,
        TemporalMaskType = 1107,
        TemporalMaskType_SubInterval_CollectionType = 1108,
        TemporalSegmentDecompositionType = 1109,
        TemporalSegmentLocatorType = 1110,
        TemporalSegmentLocatorType_BytePosition_LocalType = 1111,
        TermDefinitionBaseType = 1112,
        TermDefinitionBaseType_Definition_CollectionType = 1113,
        TermDefinitionBaseType_Name_CollectionType = 1114,
        TermDefinitionBaseType_Name_LocalType = 1115,
        TermDefinitionType = 1116,
        TermDefinitionType_Term_CollectionType = 1117,
        TermDefinitionType_Term_LocalType = 1118,
        termReferenceType = 1119,
        termReferenceType_LocalType = 1120,
        termReferenceType_LocalType0 = 1121,
        termRelationQualifierType = 1122,
        termRelationQualifierType_LocalType = 1123,
        termRelationQualifierType_LocalType0 = 1124,
        termRelationQualifierType_LocalType1 = 1125,
        TermUseType = 1126,
        TextAnnotationType = 1127,
        TextAnnotationType_CollectionType = 1128,
        TextAnnotationType_LocalType = 1129,
        TextualBaseType = 1130,
        TextualBaseType_phoneticTranscription_CollectionType = 1131,
        TextualSummaryComponentType = 1132,
        TextualSummaryComponentType_FreeText_CollectionType = 1133,
        TextualType = 1134,
        TextureBrowsingType = 1135,
        TextureBrowsingType_CollectionType = 1136,
        TextureBrowsingType_Direction_LocalType = 1137,
        TextureBrowsingType_LocalType = 1138,
        TextureBrowsingType_Regularity_LocalType = 1139,
        TextureBrowsingType_Scale_LocalType = 1140,
        textureListType = 1141,
        textureListType_CollectionType = 1142,
        timeOffsetType = 1143,
        timePointType = 1144,
        TimeType = 1145,
        TitleMediaType = 1146,
        TitleType = 1147,
        TitleType_type_LocalType = 1148,
        TitleType_type_LocalType0 = 1149,
        TitleType_type_LocalType1 = 1150,
        TitleType_type_LocalType2 = 1151,
        UniqueIDType = 1152,
        UniqueIDType_encoding_LocalType = 1153,
        unsigned1 = 1154,
        unsigned10 = 1155,
        unsigned11 = 1156,
        unsigned12 = 1157,
        unsigned13 = 1158,
        unsigned14 = 1159,
        unsigned15 = 1160,
        unsigned16 = 1161,
        unsigned17 = 1162,
        unsigned18 = 1163,
        unsigned19 = 1164,
        unsigned2 = 1165,
        unsigned20 = 1166,
        unsigned21 = 1167,
        unsigned22 = 1168,
        unsigned23 = 1169,
        unsigned24 = 1170,
        unsigned25 = 1171,
        unsigned26 = 1172,
        unsigned27 = 1173,
        unsigned28 = 1174,
        unsigned29 = 1175,
        unsigned3 = 1176,
        unsigned30 = 1177,
        unsigned31 = 1178,
        unsigned32 = 1179,
        unsigned4 = 1180,
        unsigned5 = 1181,
        unsigned6 = 1182,
        unsigned7 = 1183,
        unsigned8 = 1184,
        unsigned9 = 1185,
        UsageDescriptionType = 1186,
        UsageDescriptionType_UsageInformation_CollectionType = 1187,
        UsageHistoryType = 1188,
        UsageHistoryType_UserActionHistory_CollectionType = 1189,
        UsageInformationType = 1190,
        UsageInformationType_Availability_CollectionType = 1191,
        UsageInformationType_UsageRecord_CollectionType = 1192,
        UsageRecordType = 1193,
        UserActionHistoryType = 1194,
        UserActionHistoryType_ObservationPeriod_CollectionType = 1195,
        UserActionHistoryType_UserActionList_CollectionType = 1196,
        UserActionListType = 1197,
        UserActionListType_UserAction_CollectionType = 1198,
        UserActionType = 1199,
        UserActionType_ActionDataItem_CollectionType = 1200,
        UserActionType_ActionTime_LocalType = 1201,
        userChoiceType = 1202,
        UserDescriptionType = 1203,
        UserDescriptionType_UsageHistory_CollectionType = 1204,
        UserDescriptionType_UserPreferences_CollectionType = 1205,
        UserIdentifierType = 1206,
        UserPreferencesType = 1207,
        UserPreferencesType_BrowsingPreferences_CollectionType = 1208,
        UserPreferencesType_FilteringAndSearchPreferences_CollectionType = 1209,
        VariationDescriptionType = 1210,
        VariationDescriptionType_Variation_CollectionType = 1211,
        VariationDescriptionType_VariationSet_CollectionType = 1212,
        VariationSetType = 1213,
        VariationSetType_Variation_CollectionType = 1214,
        VariationType = 1215,
        VariationType_VariationRelationship_CollectionType = 1216,
        VariationType_VariationRelationship_LocalType = 1217,
        VariationType_VariationRelationship_LocalType0 = 1218,
        VariationType_VariationRelationship_LocalType1 = 1219,
        VariationType_VariationRelationship_LocalType2 = 1220,
        VideoSegmentMediaSourceDecompositionType = 1221,
        VideoSegmentMediaSourceDecompositionType_CollectionType = 1222,
        VideoSegmentMediaSourceDecompositionType_LocalType = 1223,
        VideoSegmentSpatialDecompositionType = 1224,
        VideoSegmentSpatialDecompositionType_CollectionType = 1225,
        VideoSegmentSpatialDecompositionType_LocalType = 1226,
        VideoSegmentSpatioTemporalDecompositionType = 1227,
        VideoSegmentSpatioTemporalDecompositionType_CollectionType = 1228,
        VideoSegmentSpatioTemporalDecompositionType_LocalType = 1229,
        VideoSegmentTemporalDecompositionType = 1230,
        VideoSegmentTemporalDecompositionType_CollectionType = 1231,
        VideoSegmentTemporalDecompositionType_LocalType = 1232,
        VideoSegmentType = 1233,
        VideoSegmentType_CollectionType = 1234,
        VideoSegmentType_CollectionType0 = 1235,
        VideoSegmentType_LocalType = 1236,
        VideoSegmentType_LocalType0 = 1237,
        VideoSegmentType_Mosaic_CollectionType = 1238,
        VideoTextType = 1239,
        VideoTextType_textType_LocalType = 1240,
        VideoTextType_textType_LocalType0 = 1241,
        VideoTextType_textType_LocalType1 = 1242,
        VideoTextType_textType_LocalType2 = 1243,
        VideoType = 1244,
        VideoViewGraphType = 1245,
        VideoViewGraphType_CollectionType = 1246,
        VideoViewGraphType_CollectionType0 = 1247,
        VideoViewGraphType_LocalType = 1248,
        VideoViewGraphType_LocalType0 = 1249,
        ViewDecompositionType = 1250,
        ViewDescriptionType = 1251,
        ViewDescriptionType_View_CollectionType = 1252,
        ViewDescriptionType_ViewDecomposition_CollectionType = 1253,
        ViewDescriptionType_ViewSet_CollectionType = 1254,
        ViewSetType = 1255,
        ViewSetType_CollectionType = 1256,
        ViewSetType_LocalType = 1257,
        ViewSetType_setProperty_LocalType = 1258,
        ViewSetType_setProperty_LocalType0 = 1259,
        ViewSetType_setProperty_LocalType1 = 1260,
        ViewSetType_setProperty_LocalType2 = 1261,
        ViewType = 1262,
        VisualDSType = 1263,
        VisualDType = 1264,
        VisualSummaryComponentType = 1265,
        VisualTimeSeriesType = 1266,
        WordFormType = 1267,
        WordFormType_terms_CollectionType = 1268,
        WordFormType_type_CollectionType = 1269,
        WordFormType_type_LocalType = 1270,
        WordFormType_type_LocalType0 = 1271,
        WordFormType_type_LocalType1 = 1272,
        WordFormType_type_LocalType2 = 1273,
        WordLexiconIndexType = 1274,
        WordLexiconType = 1275,
        WordLexiconType_Token_CollectionType = 1276,
        WordType = 1277,
        xPathAbsoluteSelectorType = 1278,
        xPathFieldType = 1279,
        xPathRefType = 1280,
        xPathSelectorType = 1281,
        xPathType = 1282,
        zeroToOneType = 1283,

// baw: inline extension for additonal types 
// no includefile for extension defined 
// file ClassHExt_Include.h


		MAX_ENTRY = 1284+INCLUDED_TYPES ,
	};

	// Called at Mp7JrsFactory::Initialize();
	static void Initialize();
	// Called at Mp7JrsFactory::Terminate();
	static void Terminate();

	// Use this to get the original XML names bypassing GetAlias()
	
// FTT See GetTypeName in Mp7JrsFactory.h	
	static const char * GetTypeName(Mp7JrsClass::Id id);
	// Use this to get the id out of the original XML name
	
// FTT See GetTypeIndex in Mp7JrsFactory.h	
	static Mp7JrsClass::Id GetTypeId(const XMLCh * name);
};

#endif // 0
// FTT: this is not needed anymore. We generate class ids using GUIDs
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

#endif // MP7JRSCLASS_H


