/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _276MP7JRSCLASSIFICATIONPREFERENCESTYPE_CAPTIONLANGUAGE_COLLECTIONTYPEFACTORY_H
#define _276MP7JRSCLASSIFICATIONPREFERENCESTYPE_CAPTIONLANGUAGE_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsClassificationPreferencesType_CaptionLanguage_CollectionTypeFactory<br>
 * for class Mp7JrsClassificationPreferencesType_CaptionLanguage_CollectionType:<br>
 * Located at: mds-2001.xsd, line 6022<br>
 * Item type: ClassificationPreferencesType_CaptionLanguage_LocalType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsClassificationPreferencesType_CaptionLanguage_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsClassificationPreferencesType_CaptionLanguage_CollectionTypeFactory();
    virtual ~Mp7JrsClassificationPreferencesType_CaptionLanguage_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _276MP7JRSCLASSIFICATIONPREFERENCESTYPE_CAPTIONLANGUAGE_COLLECTIONTYPEFACTORY_H
