/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _618MP7JRSCREATIONPREFERENCESTYPEFACTORY_H
#define _618MP7JRSCREATIONPREFERENCESTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsCreationPreferencesTypeFactory<br>
 * for class Mp7JrsCreationPreferencesType:<br>
 * Located at: mds-2001.xsd, line 5915<br>
 * Classified: Class<br>
 * Derived from: DSType (Class)<br>
 * Derived from: DSType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsCreationPreferencesTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsCreationPreferencesTypeFactory();
    virtual ~Mp7JrsCreationPreferencesTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _618MP7JRSCREATIONPREFERENCESTYPEFACTORY_H
