/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _776MP7JRSDSTYPEFACTORY_H
#define _776MP7JRSDSTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsDSTypeFactory<br>
 * for class Mp7JrsDSType:<br>
 * Located at: mds-2001.xsd, line 64<br>
 * Classified: Class<br>
 * Derived from: Mpeg7BaseType (Class)<br>
 * Abstract class <br>
 * Derived from: Mpeg7BaseType (Class)<br>
 * Derived from: Mpeg7BaseType (Class)<br>
 * Derived from: Mpeg7BaseType (Class)<br>
 * Derived from: Mpeg7BaseType (Class)<br>
 * Derived from: Mpeg7BaseType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsDSTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsDSTypeFactory();
    virtual ~Mp7JrsDSTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _776MP7JRSDSTYPEFACTORY_H
