/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _744MP7JRSDISSEMINATIONTYPEFACTORY_H
#define _744MP7JRSDISSEMINATIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsDisseminationTypeFactory<br>
 * for class Mp7JrsDisseminationType:<br>
 * Located at: mds-2001.xsd, line 2837<br>
 * Classified: Class<br>
 * Derived from: DSType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsDisseminationTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsDisseminationTypeFactory();
    virtual ~Mp7JrsDisseminationTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _744MP7JRSDISSEMINATIONTYPEFACTORY_H
