/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _764MP7JRSDOUBLEPULLBACKDEFINITIONTYPEFACTORY_H
#define _764MP7JRSDOUBLEPULLBACKDEFINITIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsDoublePullbackDefinitionTypeFactory<br>
 * for class Mp7JrsDoublePullbackDefinitionType:<br>
 * Located at: mds-2001.xsd, line 1610<br>
 * Classified: Class<br>
 * Derived from: GraphicalRuleDefinitionType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsDoublePullbackDefinitionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsDoublePullbackDefinitionTypeFactory();
    virtual ~Mp7JrsDoublePullbackDefinitionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _764MP7JRSDOUBLEPULLBACKDEFINITIONTYPEFACTORY_H
