/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1177MP7JRSMEDIAFORMATTYPE_VISUALCODING_FRAME_STRUCTURE_LOCALTYPE_H
#define _1177MP7JRSMEDIAFORMATTYPE_VISUALCODING_FRAME_STRUCTURE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_VisualCoding_Frame_structure_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsMediaFormatType_VisualCoding_Frame_structure_LocalType<br>
 * Located at: mds-2001.xsd, line 2236<br>
 * Enumerations: <br>
 * progressive (mapped to XML progressive) <br>
 * interlaced (mapped to XML interlaced) <br>
 */
class MP7JRS_EXPORT Mp7JrsMediaFormatType_VisualCoding_Frame_structure_LocalType
{
public:
	/** Mp7JrsMediaFormatType_VisualCoding_Frame_structure_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		progressive, // Mapped to progressive
		interlaced, // Mapped to interlaced
	};
	

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_VisualCoding_Frame_structure_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsMediaFormatType_VisualCoding_Frame_structure_LocalType::Enumeration item);
	static Mp7JrsMediaFormatType_VisualCoding_Frame_structure_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsMediaFormatType_VisualCoding_Frame_structure_LocalType_ExtPropDef.h


};
#endif // _1177MP7JRSMEDIAFORMATTYPE_VISUALCODING_FRAME_STRUCTURE_LOCALTYPE_H
