/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1658MP7JRSPROBABILITYDISTRIBUTIONTYPEFACTORY_H
#define _1658MP7JRSPROBABILITYDISTRIBUTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsProbabilityDistributionTypeFactory<br>
 * for class Mp7JrsProbabilityDistributionType:<br>
 * Located at: mds-2001.xsd, line 5397<br>
 * Classified: Class<br>
 * Derived from: ProbabilityModelType (Class)<br>
 * Derived from: ProbabilityModelType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsProbabilityDistributionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsProbabilityDistributionTypeFactory();
    virtual ~Mp7JrsProbabilityDistributionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1658MP7JRSPROBABILITYDISTRIBUTIONTYPEFACTORY_H
