/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

// ClassType_H.template
#ifndef _1789MP7JRSSEGMENTTYPE_TEXTANNOTATION_TYPE_LOCALTYPE0_H
#define _1789MP7JRSSEGMENTTYPE_TEXTANNOTATION_TYPE_LOCALTYPE0_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsFactoryDefines.h"
#include "Mp7JrsSegmentType_TextAnnotation_type_LocalType0Factory.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsConvert.h"
#include <xercesc/util/PlatformUtils.hpp>
#include <xercesc/util/XMLString.hpp>
#include <xercesc/dom/DOM.hpp>


// no includefile for extension defined 
// file Mp7JrsSegmentType_TextAnnotation_type_LocalType0_ExtInclude.h


class IMp7JrsSegmentType_TextAnnotation_type_LocalType0;
typedef Mp7JrsPtr< IMp7JrsSegmentType_TextAnnotation_type_LocalType0> Mp7JrsSegmentType_TextAnnotation_type_Local0Ptr;

/** 
 * Generated interface IMp7JrsSegmentType_TextAnnotation_type_LocalType0 for class Mp7JrsSegmentType_TextAnnotation_type_LocalType0<br>
 * Located at: mds-2001.xsd, line 2900<br>
 * Derived from: anyURI (String)<br>
 */
class MP7JRS_EXPORT IMp7JrsSegmentType_TextAnnotation_type_LocalType0 
 :
        public Mp7JrsNode
{
public:
    // TODO: make these protected?
    IMp7JrsSegmentType_TextAnnotation_type_LocalType0();
    virtual ~IMp7JrsSegmentType_TextAnnotation_type_LocalType0();
    /**
     * Sets the content of Mp7JrsSegmentType_TextAnnotation_type_LocalType0     * @param item XMLCh *
     */
    virtual void SetContent(XMLCh * item, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT) = 0;


    /**
     * Retrieves the content of Mp7JrsSegmentType_TextAnnotation_type_LocalType0 
     * @return XMLCh *
     */
    virtual XMLCh * GetContent() const = 0;

// no includefile for extension defined 
// file Mp7JrsSegmentType_TextAnnotation_type_LocalType0_ExtMethodDef.h


// no includefile for extension defined 
// file Mp7JrsSegmentType_TextAnnotation_type_LocalType0_ExtPropDef.h

};




/*
 * Generated class Mp7JrsSegmentType_TextAnnotation_type_LocalType0<br>
 * Located at: mds-2001.xsd, line 2900<br>
 * Derived from: anyURI (String)<br>
 * Defined in mds-2001.xsd, line 2900.<br>
 */
class MP7JRS_EXPORT Mp7JrsSegmentType_TextAnnotation_type_LocalType0 :
        public IMp7JrsSegmentType_TextAnnotation_type_LocalType0
{
    friend class Mp7JrsSegmentType_TextAnnotation_type_LocalType0Factory; // constructs objects

public:
    /*
     * Sets the content of Mp7JrsSegmentType_TextAnnotation_type_LocalType0     * @param item XMLCh *
     */
    virtual void SetContent(XMLCh * item, Mp7JrsClientID client = MP7JRS_UNDEFINED_CLIENT);


    /*
     * Retrieves the content of Mp7JrsSegmentType_TextAnnotation_type_LocalType0 
     * @return XMLCh *
     */
    virtual XMLCh * GetContent() const;


    /* Get the class name.
     * @return The name of this class.
     */
    virtual XMLCh * ToText() const;

    /* Parse this type.
     * @param txt buffer to parse from.
     * @return true if parsing was successful, false otherwise.
     */
    virtual bool Parse(const XMLCh * const txt);

    /* Serialialize this object to a DOM tree.
     * @param doc DOM document.
     * @param parent Parent node in DOM tree.
     */
    virtual void Serialize(XERCES_CPP_NAMESPACE_QUALIFIER DOMDocument * doc, XERCES_CPP_NAMESPACE_QUALIFIER DOMElement* parent, XERCES_CPP_NAMESPACE_QUALIFIER DOMElement** newElem = NULL);

    /* Deserialize this object from a DOM tree.
     * @param doc DOM document.
     * @param parent Parent element in DOM tree.
     * @param current Current element in DOM tree.
     */
    virtual bool Deserialize(XERCES_CPP_NAMESPACE_QUALIFIER DOMDocument * doc, XERCES_CPP_NAMESPACE_QUALIFIER DOMElement * parent, XERCES_CPP_NAMESPACE_QUALIFIER DOMElement ** current);

    /* Creates and inserts a Childnode of the specified Type
     * @param type The tag type of the child to be created (tag name).
     * @param xsitype The xsi type of the child to be created if available.
     * @return the created child with the correct dynamic type for the specified type.
     */
    virtual Mp7JrsNodePtr CreateChild(const XMLCh * const type, const XMLCh * const xsitype);
         
// no includefile for extension defined 
// file Mp7JrsSegmentType_TextAnnotation_type_LocalType0_ExtMyMethodDef.h


public:

    virtual ~Mp7JrsSegmentType_TextAnnotation_type_LocalType0();

protected:
    Mp7JrsSegmentType_TextAnnotation_type_LocalType0();
    virtual void DeepCopy(const Mp7JrsNodePtr &original);

    virtual Mp7JrsNodeEnum GetAllChildElements() const;

    virtual Mp7JrsNodePtr GetBaseRoot();
    virtual const Mp7JrsNodePtr GetBaseRoot() const;

private:

    // Base String
    XMLCh * m_Base;


// no includefile for extension defined 
// file Mp7JrsSegmentType_TextAnnotation_type_LocalType0_ExtMyPropDef.h


public:
    virtual void Init(); // Called by inheritees to recursively update m_myself
protected:
    void Cleanup();

};

#endif // _1789MP7JRSSEGMENTTYPE_TEXTANNOTATION_TYPE_LOCALTYPE0_H

