/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1815MP7JRSSEMANTICBASETYPE_MEDIAOCCURRENCE_TYPE_LOCALTYPE_H
#define _1815MP7JRSSEMANTICBASETYPE_MEDIAOCCURRENCE_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsSemanticBaseType_MediaOccurrence_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsSemanticBaseType_MediaOccurrence_type_LocalType<br>
 * Located at: mds-2001.xsd, line 4239<br>
 * Enumerations: <br>
 * perceivable (mapped to XML perceivable) <br>
 * reference (mapped to XML reference) <br>
 * symbol (mapped to XML symbol) <br>
 */
class MP7JRS_EXPORT Mp7JrsSemanticBaseType_MediaOccurrence_type_LocalType
{
public:
	/** Mp7JrsSemanticBaseType_MediaOccurrence_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		perceivable, // Mapped to perceivable
		reference, // Mapped to reference
		symbol, // Mapped to symbol
	};
	

// no includefile for extension defined 
// file Mp7JrsSemanticBaseType_MediaOccurrence_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsSemanticBaseType_MediaOccurrence_type_LocalType::Enumeration item);
	static Mp7JrsSemanticBaseType_MediaOccurrence_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsSemanticBaseType_MediaOccurrence_type_LocalType_ExtPropDef.h


};
#endif // _1815MP7JRSSEMANTICBASETYPE_MEDIAOCCURRENCE_TYPE_LOCALTYPE_H
