/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1867MP7JRSSEQUENTIALSUMMARYTYPE_COMPONENTS_LOCALTYPE_H
#define _1867MP7JRSSEQUENTIALSUMMARYTYPE_COMPONENTS_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsSequentialSummaryType_components_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsSequentialSummaryType_components_LocalType<br>
 * Located at: mds-2001.xsd, line 4616<br>
 * Enumerations: <br>
 * visual (mapped to XML visual) <br>
 * audio (mapped to XML audio) <br>
 * textual (mapped to XML textual) <br>
 */
class MP7JRS_EXPORT Mp7JrsSequentialSummaryType_components_LocalType
{
public:
	/** Mp7JrsSequentialSummaryType_components_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		visual, // Mapped to visual
		audio, // Mapped to audio
		textual, // Mapped to textual
	};
	

// no includefile for extension defined 
// file Mp7JrsSequentialSummaryType_components_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsSequentialSummaryType_components_LocalType::Enumeration item);
	static Mp7JrsSequentialSummaryType_components_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsSequentialSummaryType_components_LocalType_ExtPropDef.h


};
#endif // _1867MP7JRSSEQUENTIALSUMMARYTYPE_COMPONENTS_LOCALTYPE_H
