/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1977MP7JRSSPACERESOLUTIONVIEWTYPE_ORDER_LOCALTYPE_H
#define _1977MP7JRSSPACERESOLUTIONVIEWTYPE_ORDER_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsSpaceResolutionViewType_order_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsSpaceResolutionViewType_order_LocalType<br>
 * Located at: mds-2001.xsd, line 4962<br>
 * Enumerations: <br>
 * spaceFrequency (mapped to XML spaceFrequency) <br>
 * frequencySpace (mapped to XML frequencySpace) <br>
 * commutative (mapped to XML commutative) <br>
 * partitionable (mapped to XML partitionable) <br>
 * mixed (mapped to XML mixed) <br>
 */
class MP7JRS_EXPORT Mp7JrsSpaceResolutionViewType_order_LocalType
{
public:
	/** Mp7JrsSpaceResolutionViewType_order_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		spaceFrequency, // Mapped to spaceFrequency
		frequencySpace, // Mapped to frequencySpace
		commutative, // Mapped to commutative
		partitionable, // Mapped to partitionable
		mixed, // Mapped to mixed
	};
	

// no includefile for extension defined 
// file Mp7JrsSpaceResolutionViewType_order_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsSpaceResolutionViewType_order_LocalType::Enumeration item);
	static Mp7JrsSpaceResolutionViewType_order_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsSpaceResolutionViewType_order_LocalType_ExtPropDef.h


};
#endif // _1977MP7JRSSPACERESOLUTIONVIEWTYPE_ORDER_LOCALTYPE_H
