/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _1995MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_INTEGRATEDCOORDINATESYSTEM_MODELTYPE_LOCALTYPE_H
#define _1995MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_INTEGRATEDCOORDINATESYSTEM_MODELTYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsSpatial2DCoordinateSystemType_IntegratedCoordinateSystem_modelType_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsSpatial2DCoordinateSystemType_IntegratedCoordinateSystem_modelType_LocalType<br>
 * Located at: visual-2001.xsd, line 166<br>
 * Enumerations: <br>
 * translational (mapped to XML translational) <br>
 * rotationAndScaling (mapped to XML rotationAndScaling) <br>
 * affine (mapped to XML affine) <br>
 * perspective (mapped to XML perspective) <br>
 * quadratic (mapped to XML quadratic) <br>
 */
class MP7JRS_EXPORT Mp7JrsSpatial2DCoordinateSystemType_IntegratedCoordinateSystem_modelType_LocalType
{
public:
	/** Mp7JrsSpatial2DCoordinateSystemType_IntegratedCoordinateSystem_modelType_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		translational, // Mapped to translational
		rotationAndScaling, // Mapped to rotationAndScaling
		affine, // Mapped to affine
		perspective, // Mapped to perspective
		quadratic, // Mapped to quadratic
	};
	

// no includefile for extension defined 
// file Mp7JrsSpatial2DCoordinateSystemType_IntegratedCoordinateSystem_modelType_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsSpatial2DCoordinateSystemType_IntegratedCoordinateSystem_modelType_LocalType::Enumeration item);
	static Mp7JrsSpatial2DCoordinateSystemType_IntegratedCoordinateSystem_modelType_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsSpatial2DCoordinateSystemType_IntegratedCoordinateSystem_modelType_LocalType_ExtPropDef.h


};
#endif // _1995MP7JRSSPATIAL2DCOORDINATESYSTEMTYPE_INTEGRATEDCOORDINATESYSTEM_MODELTYPE_LOCALTYPE_H
