/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2172MP7JRSSUMMARIZATIONTYPE_SUMMARY_COLLECTIONTYPEFACTORY_H
#define _2172MP7JRSSUMMARIZATIONTYPE_SUMMARY_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsSummarizationType_Summary_CollectionTypeFactory<br>
 * for class Mp7JrsSummarizationType_Summary_CollectionType:<br>
 * Located at: mds-2001.xsd, line 4458<br>
 * Abstract item type: SummaryType<br>
 * Possible classes:<br>
 * \li HierarchicalSummaryType (Class)<br>
 * \li SequentialSummaryType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsSummarizationType_Summary_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsSummarizationType_Summary_CollectionTypeFactory();
    virtual ~Mp7JrsSummarizationType_Summary_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2172MP7JRSSUMMARIZATIONTYPE_SUMMARY_COLLECTIONTYPEFACTORY_H
