/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2300MP7JRSTEXTUALBASETYPE_PHONETICTRANSCRIPTION_COLLECTIONTYPEFACTORY_H
#define _2300MP7JRSTEXTUALBASETYPE_PHONETICTRANSCRIPTION_COLLECTIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsTextualBaseType_phoneticTranscription_CollectionTypeFactory<br>
 * for class Mp7JrsTextualBaseType_phoneticTranscription_CollectionType:<br>
 * Located at: mds-2001.xsd, line 1162<br>
 * Item type: PhoneType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsTextualBaseType_phoneticTranscription_CollectionTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsTextualBaseType_phoneticTranscription_CollectionTypeFactory();
    virtual ~Mp7JrsTextualBaseType_phoneticTranscription_CollectionTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2300MP7JRSTEXTUALBASETYPE_PHONETICTRANSCRIPTION_COLLECTIONTYPEFACTORY_H
