/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2308MP7JRSTEXTUREBROWSINGTYPEFACTORY_H
#define _2308MP7JRSTEXTUREBROWSINGTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsTextureBrowsingTypeFactory<br>
 * for class Mp7JrsTextureBrowsingType:<br>
 * Located at: visual-2001.xsd, line 687<br>
 * Classified: Class<br>
 * Derived from: VisualDType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsTextureBrowsingTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsTextureBrowsingTypeFactory();
    virtual ~Mp7JrsTextureBrowsingTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2308MP7JRSTEXTUREBROWSINGTYPEFACTORY_H
