/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/


#ifndef _2333MP7JRSTITLETYPE_TYPE_LOCALTYPE_H
#define _2333MP7JRSTITLETYPE_TYPE_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsTitleType_type_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsTitleType_type_LocalType<br>
 * Located at: mds-2001.xsd, line 2523<br>
 * Enumerations: <br>
 * main (mapped to XML main) <br>
 * secondary (mapped to XML secondary) <br>
 * alternative (mapped to XML alternative) <br>
 * original (mapped to XML original) <br>
 * popular (mapped to XML popular) <br>
 * opusNumber (mapped to XML opusNumber) <br>
 * songTitle (mapped to XML songTitle) <br>
 * albumTitle (mapped to XML albumTitle) <br>
 * seriesTitle (mapped to XML seriesTitle) <br>
 * episodeTitle (mapped to XML episodeTitle) <br>
 */
class MP7JRS_EXPORT Mp7JrsTitleType_type_LocalType
{
public:
	/** Mp7JrsTitleType_type_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		main, // Mapped to main
		secondary, // Mapped to secondary
		alternative, // Mapped to alternative
		original, // Mapped to original
		popular, // Mapped to popular
		opusNumber, // Mapped to opusNumber
		songTitle, // Mapped to songTitle
		albumTitle, // Mapped to albumTitle
		seriesTitle, // Mapped to seriesTitle
		episodeTitle, // Mapped to episodeTitle
	};
	

// no includefile for extension defined 
// file Mp7JrsTitleType_type_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsTitleType_type_LocalType::Enumeration item);
	static Mp7JrsTitleType_type_LocalType::Enumeration Parse(const XMLCh * const txt);

// no includefile for extension defined 
// file Mp7JrsTitleType_type_LocalType_ExtPropDef.h


};
#endif // _2333MP7JRSTITLETYPE_TYPE_LOCALTYPE_H
