/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2588MP7JRSWORDLEXICONTYPEFACTORY_H
#define _2588MP7JRSWORDLEXICONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsWordLexiconTypeFactory<br>
 * for class Mp7JrsWordLexiconType:<br>
 * Located at: audio-2001.xsd, line 540<br>
 * Classified: Class<br>
 * Derived from: LexiconType (Class)<br>
 */

class MP7JRS_EXPORT Mp7JrsWordLexiconTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsWordLexiconTypeFactory();
    virtual ~Mp7JrsWordLexiconTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2588MP7JRSWORDLEXICONTYPEFACTORY_H
