/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _246MP7JRSBASICDURATIONTYPEFACTORY_H
#define _246MP7JRSBASICDURATIONTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsbasicDurationTypeFactory<br>
 * for class Mp7JrsbasicDurationType:<br>
 * Located at: ddl-2001.xsd, line 66<br>
 * Regular expression: <br>
 * \-?P(\d+D)?(T(\d+H)?(\d+M)?(\d+S)?(\d+N)?(\d{2}f)?)?(\d+F)?((\-|\+)\d{2}:\d{2}Z)?<br>
 */

class MP7JRS_EXPORT Mp7JrsbasicDurationTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsbasicDurationTypeFactory();
    virtual ~Mp7JrsbasicDurationTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _246MP7JRSBASICDURATIONTYPEFACTORY_H
