/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _1118MP7JRSLISTOFPOSITIVEINTEGERFORDIMFACTORY_H
#define _1118MP7JRSLISTOFPOSITIVEINTEGERFORDIMFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrslistOfPositiveIntegerForDimFactory<br>
 * for class Mp7JrslistOfPositiveIntegerForDim:<br>
 * Located at: ddl-2001.xsd, line 45<br>
 * Item type: positiveInteger (Value)<br>
 */

class MP7JRS_EXPORT Mp7JrslistOfPositiveIntegerForDimFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrslistOfPositiveIntegerForDimFactory();
    virtual ~Mp7JrslistOfPositiveIntegerForDimFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _1118MP7JRSLISTOFPOSITIVEINTEGERFORDIMFACTORY_H
