/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2326MP7JRSTIMEPOINTTYPEFACTORY_H
#define _2326MP7JRSTIMEPOINTTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrstimePointTypeFactory<br>
 * for class Mp7JrstimePointType:<br>
 * Located at: mds-2001.xsd, line 944<br>
 * Regular expression: <br>
 * (\-?\d+(\-\d{2}(\-\d{2})?)?)?(T\d{2}(:\d{2}(:\d{2}(:\d+)?)?)?)?(F\d+)?((\-|\+)\d{2}:\d{2})?<br>
 */

class MP7JRS_EXPORT Mp7JrstimePointTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrstimePointTypeFactory();
    virtual ~Mp7JrstimePointTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2326MP7JRSTIMEPOINTTYPEFACTORY_H
