/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2594MP7JRSXPATHABSOLUTESELECTORTYPEFACTORY_H
#define _2594MP7JRSXPATHABSOLUTESELECTORTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsxPathAbsoluteSelectorTypeFactory<br>
 * for class Mp7JrsxPathAbsoluteSelectorType:<br>
 * Located at: mds-2001.xsd, line 890<br>
 * Regular expression: <br>
 * (/|((//|/)(((child::)?((\i\c*:)?(\i\c*|\*)))|\.))*)(\|(/|((//|/)(((child::)?((\i\c*:)?(\i\c*|\*)))|\.))*))*<br>
 * Mapped to string<br>
 */

class MP7JRS_EXPORT Mp7JrsxPathAbsoluteSelectorTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsxPathAbsoluteSelectorTypeFactory();
    virtual ~Mp7JrsxPathAbsoluteSelectorTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2594MP7JRSXPATHABSOLUTESELECTORTYPEFACTORY_H
