/*****************************************************************************/
/* Copyright (C) 2003-2005, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/* This software may only be used under the terms of the JRS MPEG-7 Library  */
/* license, available at                                                     */
/* http://iis.joanneum.at/MPEG-7/JRS-MPEG-7-Lib-License.pdf                  */
/*****************************************************************************/

#ifndef _2596MP7JRSXPATHFIELDTYPEFACTORY_H
#define _2596MP7JRSXPATHFIELDTYPEFACTORY_H

#include "Mp7JrsDefines.h"
#include "Mp7JrsNode.h"
#include "Mp7JrsFactory.h"
#include "Mp7JrsPtr.h"
#include "Mp7JrsPtrTypes.h"

/*
 * Generated factory Mp7JrsxPathFieldTypeFactory<br>
 * for class Mp7JrsxPathFieldType:<br>
 * Located at: mds-2001.xsd, line 896<br>
 * Regular expression: <br>
 * (\.//)?((((child::)?((\i\c*:)?(\i\c*|\*)))|\.)/)*((((child::)?((\i\c*:)?(\i\c*|\*)))|\.)|((attribute::|@)((\i\c*:)?(\i\c*|\*))))(\|(\.//)?((((child::)?((\i\c*:)?(\i\c*|\*)))|\.)/)*((((child::)?((\i\c*:)?(\i\c*|\*)))|\.)|((attribute::|@)((\i\c*:)?(\i\c*|\*)))))*<br>
 * Mapped to string<br>
 */

class MP7JRS_EXPORT Mp7JrsxPathFieldTypeFactory :
    public Mp7JrsFactory
{
public:
    Mp7JrsxPathFieldTypeFactory();
    virtual ~Mp7JrsxPathFieldTypeFactory();
	
    virtual const char * GetTypeName() const; // Formerly GetObjectType()
    virtual Mp7JrsNodePtr CreateObject();
};

#endif // _2596MP7JRSXPATHFIELDTYPEFACTORY_H
